package com.mosty.base.feign.service;

import com.mosty.common.base.domain.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author dw
 * @since 2022/7/23
 * 核查中心对外调用接口 feign
 **/
@FeignClient(value = "mosty-hczx")
public interface MostyHczxFeignService {

    // 实际盘查人数
    @PostMapping("/mosty-hczx/tbHcBpcry/getSjpcr")
    ResponseResult<Integer> getSjpcr(@RequestParam("ssbmdm") String ssbmdm, @RequestParam("time") String time);

    // 实际盘查车数
    @PostMapping("/mosty-hczx/tbHcBpccl/getSjpcc")
    ResponseResult<Integer> getSjpcc(@RequestParam("ssbmdm") String ssbmdm, @RequestParam("time") String time);

    // 实际盘查物品
    @PostMapping("/mosty-hczx/tbHcBpccl/getPcWptj")
    ResponseResult<Integer> getPcWptj(@RequestParam("ssbmdm") String ssbmdm, @RequestParam("time") String time);



}
