package com.mosty.base.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡防力量表;
 *
 * @author : Lhh
 * @date : 2022-6-4
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 7390057038182466339L;

    @ApiModelProperty(value = "每页显示数量", notes = "",name = "pageSize")
    private Integer pageSize;

    @ApiModelProperty(value = "页码", notes = "",name = "pageCurrent")
    private Integer pageCurrent;
}