package com.mosty.base.model.dto.base;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 获取部门信息DTO
 *
 * @author kevin
 * @date 2022/2/17 8:48 PM
 * @since 1.0.0
 */
@Data
public class GetDeptListDTO {

    @ApiModelProperty("部门id")
    private String deptid;

    @ApiModelProperty("除开这些部门不查询")
    private List<String> inDeptids;

    @ApiModelProperty("查询这里类型")
    private List<String> levels;
}
