package com.mosty.base.model.dto.bkzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbBkDbSearchDto 对象", description = "布控数据库分页查询")
public class TbBkDbSearchDto extends BasePage implements Serializable, Cloneable{
    @ApiModelProperty(value = "布控库名")
    private String  dbName;

    @ApiModelProperty(value = "所属市区域代码无效")
    private String  areaCode;

    @ApiModelProperty(value = "布控数据库厂商类型",hidden = true)
    private String  dbCs;

    @ApiModelProperty(value = "数据库类型：Personnel 人员，Car 车辆",hidden = true)
    private String dbType;
}
