package com.mosty.base.model.dto.bkzx;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 修改数据库基础信息
 */
@Data
public class TbBkDbUpDto implements Serializable {
    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "布控库名")
    private String  dbName;

    @ApiModelProperty(value = "库描述信息")
    private String description;

    @ApiModelProperty(value = "布控开始时间，格式：yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bkKassj;

    @ApiModelProperty(value = "布控结束时间，格式：yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date   bkJssj;
}
