package com.mosty.base.model.dto.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡访库
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡访_战果", description = "")
public class TbJcglXfZgDto extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;

    @ApiModelProperty(value = "战果id", name = "id")
    private String id;

    @ApiModelProperty(value = "申报状态")
    private String sbzt;

    @ApiModelProperty(value = "审批意见")
    private String spyj;

}