package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_bmjlbb_jlmx")
@ApiModel(value="TbQwBmjlbbJlmx对象", description="部门每日警力报备-警力明细")
public class TbQwBmjlbbJlmxDto implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "唯一标识ID")
    private String id;


    @ApiModelProperty(value = "警力ID")
    private String jlId;

    @ApiModelProperty(value = "警力报备ID")
    private String jlbbId;

    @ApiModelProperty(value = "警力类型（01 民警  02 辅警）")
    private String jllx;

    @ApiModelProperty(value = "警力姓名")
    private String jlxm;

    @ApiModelProperty(value = "身份证号码")
    private String sfzh;

    @ApiModelProperty(value = "警号")
    private String jh;

    @ApiModelProperty(value = "性别代码（0男 1女 2未知）")
    private String xbdm;

    @ApiModelProperty(value = "年龄")
    private Integer nl;

    @ApiModelProperty(value = "警力状态（0 不在岗 1 在岗）")
    private String jlzt;

    @ApiModelProperty(value = "报备类型（1 在岗民警，2 在岗辅警 3 值班警力 4 不在岗民警 5 不在岗辅警）")
    private String bblx;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
