package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 巡防排班或报备或值班-警力表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_jl")
@ApiModel(value="TbQwJl对象", description="巡防排班或报备或值班-警力表")
public class TbQwJlDto implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "警力ID")
    private String jlId;

    @ApiModelProperty(value = "警力类型（01 民警  02 辅警）")
    private String jllx;

    @ApiModelProperty(value = "警力姓名")
    private String jlxm;

    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty(value = "性别代码（0男 1女 2未知）")
    private String xbdm;

    @ApiModelProperty(value = "年龄")
    private Integer nl;

    @ApiModelProperty(value = "警力状态（0 不在岗 1 在岗）")
    private String jlzt;

    @ApiModelProperty(value = "值班类型（1 勤务值班，2 巡防排班，3 巡防报备，4 值班记录）")
    private String zblx;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;

}
