package com.mosty.base.model.dto.qwzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-08-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwJmllSearchDto对象", description = "大屏-街面力量查询DTO")
public class TbQwJmllSearchDto extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "01.民警  02.辅警", required = true)
    private String jllx;

    @ApiModelProperty(value = "巡防部门代码")
    private String xfbmdm;

    @ApiModelProperty(value = "警力姓名")
    private String jlxm;
}
