package com.mosty.base.model.dto.qwzx;

import com.mosty.base.model.BasePage;
import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022-11-16
 * 查询警力清单DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwSearchJlqdDto 对象", description = "查询警力清单DTO")
public class TbQwSearchJlqdDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "查询时间", required = true)
    private String bbrq;

    @ApiModelProperty(value = "查询范围(米)")
    private BigDecimal distance;
}
