package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwXffwDto 对象", description = "巡防报备-巡防范围添加DTO")
public class TbQwXffwDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "巡防区标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "关联业务ID（值班或报备ID）")
    private String ywid;

    @ApiModelProperty(value = "关联表ID（巡防区或快反点ID）")
    private String glbid;

    @ApiModelProperty(value = "勤务类型（1 巡防排班  2 巡防报备）")
    private String qwlx;

    @ApiModelProperty(value = "--D_ZDY_XFFWLX 巡防范围类型（1 巡防区  2 快反点 3 检查站）")
    private String xffwlx;

    @ApiModelProperty(value = "巡防范围名称（巡防区或快反点名称）")
    private String fwMc;
}
