package com.mosty.base.model.dto.qwzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-08-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwXzSearchDto对象", description = "大屏-计划、实际街面巡组查询DTO")
public class TbQwXzSearchDto extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("负责人姓名")
    public String fzrXm;

    @ApiModelProperty("所属部门ID")
    public String ssbmid;

    @ApiModelProperty("所属部门代码")
    public String ssbmdm;

}
