package com.mosty.base.model.dto.rwzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/9/20
 * 任务状态修改Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskGrChangeStateInnerDto 对象", description = "任务状态修改Dto(内部)")
public class TbRwTaskGrChangeStateInnerDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务ID")
    private String rwid;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty("个人状态  0.待查看 1.进行中 2.已完成 3.已转发 4.被驳回")
    private String rwzt;

    @ApiModelProperty("转发接收人Id")
    private String zfjsrid;
}
