package com.mosty.base.model.dto.sjzx;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@TableName("tb_jq" )
@ApiModel(value = "Entity Of tb_jq")
@Accessors(chain = true)
public class TbJqDTO {
    /**
     * 警情表ID
     */
    @ApiModelProperty(value = "警情表ID", name ="id",required = false)
    private String id;
    /**
     * 警情ID（为110系统的警情表的ID）
     */
    @ApiModelProperty(value = "警情ID（为110系统的警情表的ID）", name ="jq110Id",required = false)
    private String jq110Id;
    /**
     * 接警单编号
     */
    @ApiModelProperty(value = "接警单编号", name ="jjdbh",required = false)
    private String jjdbh;
    /**
     * 接警单位编号
     */
    @ApiModelProperty(value = "接警单位编号", name ="jjdwbh",required = false)
    private String jjdwbh;
    /**
     * 接警单位名称
     */
    @ApiModelProperty(value = "接警单位名称", name ="jjdwmc",required = false)
    private String jjdwmc;
    /**
     * 关联接警单编号
     */
    @ApiModelProperty(value = "关联接警单编号", name ="gljjdbh",required = false)
    private String gljjdbh;
    /**
     * 接警员编号
     */
    @ApiModelProperty(value = "接警员编号", name ="jjybh",required = false)
    private String jjybh;
    /**
     * 接警员姓名
     */
    @ApiModelProperty(value = "接警员姓名", name ="jjyxm",required = false)
    private String jjyxm;
    /**
     * 接警台编号
     */
    @ApiModelProperty(value = "接警台编号", name ="jjtbh",required = false)
    private String jjtbh;
    /**
     * 接警台IP
     */
    @ApiModelProperty(value = "接警台IP", name ="jjtip",required = false)
    private String jjtip;
    /**
     * 呼入时间
     */
    @ApiModelProperty(value = "呼入时间", name ="hrsj",required = false)
    private String hrsj;
    /**
     * 来话类型编号
     */
    @ApiModelProperty(value = "来话类型编号", name ="lhlxbh",required = false)
    private String lhlxbh;
    /**
     * 报警方式编号
     */
    @ApiModelProperty(value = "报警方式编号", name ="bjfsbh",required = false)
    private String bjfsbh;
    /**
     * 报警日期
     */
    @ApiModelProperty(value = "报警日期", name ="bjrq",required = false)
    private java.sql.Date bjrq;
    /**
     * 报警时间
     */
    @ApiModelProperty(value = "报警时间", name ="bjsj",required = false)
    private String bjsj;
    /**
     * 接警时间
     */
    @ApiModelProperty(value = "接警时间", name ="jjsj",required = false)
    private String jjsj;
    /**
     * 呼入时长
     */
    @ApiModelProperty(value = "呼入时长", name ="hrsc",required = false)
    private long hrsc;
    /**
     * 接警时长
     */
    @ApiModelProperty(value = "接警时长", name ="jjsc",required = false)
    private long jjsc;
    /**
     * 接警录音号
     */
    @ApiModelProperty(value = "接警录音号", name ="jjlyh",required = false)
    private String jjlyh;
    /**
     * 报警电话
     */
    @ApiModelProperty(value = "报警电话", name ="bjdh",required = false)
    private String bjdh;
    /**
     * 报警电话用户姓名
     */
    @ApiModelProperty(value = "报警电话用户姓名", name ="bjdhYhxm",required = false)
    private String bjdhYhxm;
    /**
     * 报警电话用户地址
     */
    @ApiModelProperty(value = "报警电话用户地址", name ="bjdhYhdz",required = false)
    private String bjdhYhdz;
    /**
     * 报警人身份证号
     */
    @ApiModelProperty(value = "报警人身份证号", name ="bjrSfzh",required = false)
    private String bjrSfzh;
    /**
     * 报警人姓名
     */
    @ApiModelProperty(value = "报警人姓名", name ="bjrXm",required = false)
    private String bjrXm;
    /**
     * 报警人性别
     */
    @ApiModelProperty(value = "报警人性别", name ="bjrXb",required = false)
    private String bjrXb;
    /**
     * 报警人联系电话
     */
    @ApiModelProperty(value = "报警人联系电话", name ="bjrLxdh",required = false)
    private String bjrLxdh;
    /**
     * 报警人住址单位
     */
    @ApiModelProperty(value = "报警人住址单位", name ="bjrZzdw",required = false)
    private String bjrZzdw;
    /**
     * 事发地址行政区划
     */
    @ApiModelProperty(value = "事发地址行政区划", name ="sfdzxzqh",required = false)
    private String sfdzxzqh;
    /**
     * 事发地址
     */
    @ApiModelProperty(value = "事发地址", name ="sfdz",required = false)
    private String sfdz;
    /**
     * 报警内容
     */
    @ApiModelProperty(value = "报警内容", name ="bjnr",required = false)
    private String bjnr;
    /**
     * 警情级别
     */
    @ApiModelProperty(value = "警情级别", name ="jqjb",required = false)
    private String jqjb;
    /**
     * 报警类别
     */
    @ApiModelProperty(value = "报警类别", name ="bjlb",required = false)
    private String bjlb;
    /**
     * 报警类型
     */
    @ApiModelProperty(value = "报警类型", name ="bjlx",required = false)
    private String bjlx;
    /**
     * 报警细类
     */
    @ApiModelProperty(value = "报警细类", name ="bjxl",required = false)
    private String bjxl;
    /**
     * 被困人数
     */
    @ApiModelProperty(value = "被困人数", name ="bkrs",required = false)
    private long bkrs;
    /**
     * 受伤人数
     */
    @ApiModelProperty(value = "受伤人数", name ="ssrs",required = false)
    private long ssrs;
    /**
     * 死亡人数
     */
    @ApiModelProperty(value = "死亡人数", name ="swrs",required = false)
    private long swrs;
    /**
     * 有无危险物质(0：无，1：有，默认为无)
     */
    @ApiModelProperty(value = "有无危险物质(0：无，1：有，默认为无)", name ="ywwxwz",required = false)
    private long ywwxwz;
    /**
     * 有无爆炸/泄漏(0：无，1：有，默认为无)
     */
    @ApiModelProperty(value = "有无爆炸/泄漏(0：无，1：有，默认为无)", name ="ywbzxl",required = false)
    private long ywbzxl;
    /**
     *  有无被困人员(0：无，1：有，默认为无)
     */
    @ApiModelProperty(value = " 有无被困人员(0：无，1：有，默认为无)", name ="ywbkry",required = false)
    private long ywbkry;
    /**
     * 是否涉外(0：无，1：有，默认为无)
     */
    @ApiModelProperty(value = "是否涉外(0：无，1：有，默认为无)", name ="sfsw",required = false)
    private long sfsw;
    /**
     * 是否是外语报警(0：无，1：有，默认为无)
     */
    @ApiModelProperty(value = "是否是外语报警(0：无，1：有，默认为无)", name ="sfswybj",required = false)
    private long sfswybj;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度", name ="jd",required = false)
    private double jd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度", name ="wd",required = false)
    private double wd;
    /**
     * 坐标
     */
    @ApiModelProperty(value = "坐标", name ="zb",required = false)
    private long zb;
    /**
     * 坐标hash值
     */
    @ApiModelProperty(value = "坐标hash值", name ="zbhash",required = false)
    private String zbhash;
    /**
     * 处置状态 0.未处置 1.处置中 2.已完成
     */
    @ApiModelProperty(value = "处置状态 0.未处置 1.处置中 2.已完成", name ="czzt",required = false)
    private String czzt;
    /**
     * 重大警情添加类型 01.系统推送 02.手动添加 03.一键报警
     */
    @ApiModelProperty(value = "重大警情添加类型 01.系统推送 02.手动添加 03.一键报警", name ="zdjqtjlx",required = false)
    private String zdjqtjlx;
    /**
     * 管辖部门
     */
    @ApiModelProperty(value = "管辖部门", name ="ssbm",required = false)
    private String ssbm;
    /**
     * 管辖部门代码
     */
    @ApiModelProperty(value = "管辖部门代码", name ="ssbmdm",required = false)
    private String ssbmdm;
    /**
     * 管辖县公安局
     */
    @ApiModelProperty(value = "管辖县公安局", name ="ssxgaj",required = false)
    private String ssxgaj;
    /**
     * 管辖县公安局代码
     */
    @ApiModelProperty(value = "管辖县公安局代码", name ="ssxgajdm",required = false)
    private String ssxgajdm;
    /**
     * 管辖市公安局
     */
    @ApiModelProperty(value = "管辖市公安局", name ="sssgaj",required = false)
    private String sssgaj;
    /**
     * 管辖市公安局代码
     */
    @ApiModelProperty(value = "管辖市公安局代码", name ="sssgajdm",required = false)
    private String sssgajdm;
    /**
     * 数据来源;1、PC，2、手机端
     */
    @ApiModelProperty(value = "数据来源;1、PC，2、手机端", name ="xtSjly",required = false)
    private String xtSjly;
    /**
     * 数据状态;0、停用，1、正常
     */
    @ApiModelProperty(value = "数据状态;0、停用，1、正常", name ="xtSjzt",required = false)
    private String xtSjzt;
    /**
     * 删除标识;0、未删除，1、已删除
     */
    @ApiModelProperty(value = "删除标识;0、未删除，1、已删除", name ="xtScbz",required = false)
    private String xtScbz;
    /**
     * 创建IP
     */
    @ApiModelProperty(value = "创建IP", name ="xtCjip",required = false)
    private String xtCjip;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name ="xtCjsj",required = false)
    private String xtCjsj;
    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID", name ="xtCjrId",required = false)
    private String xtCjrId;
    /**
     * 创建人名称
     */
    @ApiModelProperty(value = "创建人名称", name ="xtCjr",required = false)
    private String xtCjr;
    /**
     * 创建部门代码
     */
    @ApiModelProperty(value = "创建部门代码", name ="xtCjbmdm",required = false)
    private String xtCjbmdm;
    /**
     * 创建部门名称
     */
    @ApiModelProperty(value = "创建部门名称", name ="xtCjbmmc",required = false)
    private String xtCjbmmc;
    /**
     * 最后更新IP
     */
    @ApiModelProperty(value = "最后更新IP", name ="xtZhgxip",required = false)
    private String xtZhgxip;
    /**
     * 最后更新时间
     */
    @ApiModelProperty(value = "最后更新时间", name ="xtZhgxsj",required = false)
    private String xtZhgxsj;
    /**
     * 最后更新人ID
     */
    @ApiModelProperty(value = "最后更新人ID", name ="xtZhgxrid",required = false)
    private String xtZhgxrid;
    /**
     * 最后更新人名称
     */
    @ApiModelProperty(value = "最后更新人名称", name ="xtZhgxr",required = false)
    private String xtZhgxr;
    /**
     * 最后更新部门代码
     */
    @ApiModelProperty(value = "最后更新部门代码", name ="xtZhgxbmdm",required = false)
    private String xtZhgxbmdm;
    /**
     * 最后更新部门名称
     */
    @ApiModelProperty(value = "最后更新部门名称", name ="xtZhgxbm",required = false)
    private String xtZhgxbm;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", name ="bz",required = false)
    private String bz;
}
