package com.mosty.base.model.dto.sjzx;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * @Author aklcoming
 * @Date 2022-07-11 19:24:28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jq")
@ApiModel(value = "TbJqGeohash对象", description = "警情表")
public class TbJqGeohash implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;
    /**
     * 坐标hash
     */
    @ApiModelProperty(value = "坐标hash", name = "zbhash")
    private String zbhash;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量", name = "sl")
    private Integer sl;

}
