package com.mosty.base.model.dto.sjzx;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022-08-25
 * 时间圈层设置 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSjQcszDto 对象", description = "时间圈层设置 dto")
public class TbSjQcszDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "圈层-核心圈", name = "qcHx")
    private Integer qcHx;

    @ApiModelProperty(value = "圈层-警戒圈", name = "qcJj")
    private Integer qcJj;

    @ApiModelProperty(value = "圈层-关注圈", name = "qcGz")
    private Integer qcGz;
}
