package com.mosty.base.model.dto.sjzx;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-08-25
 * 日志记录新增 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSjRzInsertDto 对象", description = "日志记录新增 dto")
public class TbSjRzInsertDto implements Serializable {

    private static final long serialVersionUID = 7390057038182466339L;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "日志内容")
    private String rzms;
}
