package com.mosty.base.model.dto.spxl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022-07-11
 * 视频巡逻方案修改 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSpxlSpxlfaInsertDto对象", description = "视频巡逻方案摄像头配置dto")
public class TbSpxlSpxlfaInsertDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "方案ID")
    private String faid;

    @ApiModelProperty(value = "摄像头组数组")
    private List<TbSpxlSpxlfaSxtzDto> sxtzList;
}
