package com.mosty.base.model.dto.spxl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfaSxtPz;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-07-11
 * 视频巡逻方案修改 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSpxlSpxlfaSxtDto对象", description = "视频巡逻方案摄像头dto")
public class TbSpxlSpxlfaSxtDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "摄像头ID（对应国标编号）")
    private String sxtid;

    @ApiModelProperty(value = "摄像头名称")
    private String sxtmc;

    @ApiModelProperty(value = "巡逻类型  1.定速巡航  2.定位看守  3.综合配置")
    private String xllx;

    @ApiModelProperty(value = "视频巡逻相关配置项")
    private TbSpxlSpxlfaSxtPz sxtPz;
}
