package com.mosty.base.model.dto.spxl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022-07-11
 * 视频巡逻方案修改 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSpxlSpxlfaSxtzDto对象", description = "视频巡逻方案摄像头组dto")
public class TbSpxlSpxlfaSxtzDto implements Serializable,Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "摄像头组名称")
    private String sxtzmc;

    @ApiModelProperty(value = "摄像头列表")
    private List<TbSpxlSpxlfaSxtDto> sxtList;
}
