package com.mosty.base.model.dto.wzzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "WzcxQuery 对象", description = "位置统计DTO")
public class WzcxQuery extends BasePage implements Serializable, Cloneable {

    @ApiModelProperty(value = "报备id")
    private String bbid;

    @ApiModelProperty(value = "用户id")
    private String yhid;

    @ApiModelProperty(value = "用户sfzh")
    private String yhsfzh;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "开始时间")
    private String kssj;

    @ApiModelProperty(value = "结束时间")
    private String jssj;
}
