package com.mosty.base.model.dto.wzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "WztjQuery 对象", description = "位置统计DTO")
public class WztjQuery extends BasePage implements Serializable, Cloneable {

    @ApiModelProperty(value = "开始日期")
    private String ksrq;

    @ApiModelProperty(value = "结束日期")
    private String jsrq;

    @ApiModelProperty(value = "用户姓名")
    private String yhxm;

    @ApiModelProperty(value = "开始里程")
    private String kslc;

    @ApiModelProperty(value = "结束里程")
    private String jslc;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;
}
