package com.mosty.base.model.dto.yjzl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-09-08
 * 参与警力查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "CyjlSearchDto 对象", description = "参与警力查询DTO")
public class CyjlSearchDto extends BasePage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "事件ID")
    private String sjid;
}
