package com.mosty.base.model.dto.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022-11-20
 * 获取最新一条预警DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "GetLastYjDto 对象", description = "获取最新一条预警DTO")
public class GetLastYjDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警来源ID")
    private String yjlyid;

}
