package com.mosty.base.model.dto.yjzl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-10-21
 * kafka预警信息dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "KafkaYjxxDto 对象", description = "kafka预警信息dto")
public class KafkaYjxxDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "kafka返回的预警信息")
    private String message;
}
