package com.mosty.base.model.dto.yjzl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-10-17
 * 最新指令执行记录查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "NewZxjlSearchDto 对象", description = "最新指令执行记录查询DTO")
public class NewZxjlSearchDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "指令ID", required = true)
    private String zlid;

    @ApiModelProperty(value = "最后一条记录的时间,不传入时间则表示查询所有数据")
    private String time;
}
