package com.mosty.base.model.dto.yjzl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbYjxxRyPageStatisticsDto 对象", description="人员预警分页查询DTO")
public class TbYjxxRyPageStatisticsDto extends BasePage implements Serializable,Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty(value = "身份证号")
    private String rysfzh;

    @ApiModelProperty(value = "开始时间")
    private String kssj;

    @ApiModelProperty(value = "结束时间")
    private String jssj;

    @ApiModelProperty(value = "预警级别")
    private String yjjb;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "关键字")
    private String kerword;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
