package com.mosty.base.model.dto.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbYjxxStatisticsQueryDto 对象", description="预警统计相关DTO")
public class TbYjxxStatisticsQueryDto implements Serializable,Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    private String endDate;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
