package com.mosty.base.model.dto.yjzl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbYjxxYStatisticsDto 对象", description="根据车牌号查询预警列表-月")
public class TbYjxxYStatisticsDto implements Serializable,Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "号牌号码")
    private String hphm;

    @ApiModelProperty(value = "开始时间")
    private String ksny;

    @ApiModelProperty(value = "结束时间")
    private String jsny;

    @ApiModelProperty(value = "预警级别")
    private String yjjb;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
