package com.mosty.base.model.dto.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022-10-18
 * 指令添加人员车辆盘查信息表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbZlxxPcryclInsertDto 对象", description="指令添加人员车辆盘查信息表")
public class TbZlxxPcryclInsertDto implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "盘查人员或车辆ID")
    private String pcryclId;

    @ApiModelProperty(value = "指令ID")
    private String zlId;

    @ApiModelProperty(value = "--D_BZ_PCLX（盘查类型）盘查类型（1-盘人;2-盘车）")
    private String pclxdm;
}
