package com.mosty.base.model.dto.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022-11-04
 * 预警转指令DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "YjConvertZlDto 对象", description = "预警转指令DTO")
public class YjConvertZlDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警ID")
    private String yjid;

    @ApiModelProperty(value = "接收人员、部门列表")
    private List<TbZlxxZxrDtoInsertDto> zxrList;
}
