package com.mosty.base.model.dto.yjzl.third;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-09-14
 * 指令信息详情查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ThirdZlInfoSearchDto 对象", description = "指令信息详情查询DTO")
public class ThirdZlInfoSearchDto extends BasePage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("指令ID")
    private String zlid;

    @ApiModelProperty("身份证号")
    private String sfzh;
}
