package com.mosty.base.model.dto.yszx;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class Cameras {
    public String code;
    public String msg;
    public info data;

    @Data
    public static class info {
        public Integer total;
        public Integer pageSize;
        public Integer pageNo;
        public List<listInfo> list;

    }

    @Data
    public static class listInfo {
        public String cameraIndexCode;
        public String name;
        public String unitIndexCode;
        public String gbIndexCode;
        public String deviceIndexCode;
        public String latitude;
        public String longitude;
        public String altitude;
        public Integer pixel;
        public Integer cameraType;
        public String installPlace;
        public String matrixCode;
        public Integer chanNum;
        public String viewshed;
        public String capabilitySet;
        public String intelligentSet;
        public String recordLocation;
        public String ptzController;
        public String deviceResourceType;
        public String channelType;
        public Integer transType;
        public Date updateTime;
        public Date createTime;
        public Integer status;
        public String cameraTypeName;
        public String capabilitySetName;
        public String intelligentSetName;
        public String recordLocationName;
        public String ptzControllerName;
        public String deviceResourceTypeName;
        public String channelTypeName;
        public String transTypeName;
        public String treatyType;
        public String treatyTypeName;
        public String statusName;
    }
}
