package com.mosty.base.model.entity.afjcsj;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author dw
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("af_jcsj.vw_share_st_mh_jgxxb_gx")
@ApiModel(value = "民航-购票基本信息")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class VwShareStMhJgxxbGx implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * PSR_ARST
     */
    private String psrArst;

    /**
     * PSR_EDIO
     */
    private String psrEdio;

    /**
     * SEG_DEPTNO
     */
    private String segDeptno;

    /**
     * PDT_DEPT
     */
    private String pdtDept;

    /**
     * TELNO
     */
    private String telno;

    /**
     * PSR_WCBD
     */
    private String psrWcbd;

    /**
     * FLT_AIRLCODE
     */
    private String fltAirlcode;

    /**
     * PSR_SPE
     */
    private String psrSpe;

    /**
     * PSR_HBPRBG
     */
    private String psrHbprbg;

    /**
     * STA_DEPTTM
     */
    private String staDepttm;

    /**
     * PSR_SEATNBR
     */
    private String psrSeatnbr;

    /**
     * WL
     */
    private String wl;

    /**
     * PSR_DEP
     */
    private String psrDep;

    /**
     * PSR_WTYPE
     */
    private String psrWtype;

    /**
     * FILENAME
     */
    private String filename;

    /**
     * DEP_ACTION_FLAG
     */
    private String depActionFlag;

    /**
     * PSR_CRS
     */
    private String psrCrs;

    /**
     * PSR_OUTBOUND
     */
    private String psrOutbound;

    /**
     * PSR_RST
     */
    private String psrRst;

    /**
     * SBY
     */
    private String sby;

    /**
     * CKI_CHG
     */
    private String ckiChg;

    /**
     * PSR_OSR
     */
    private String psrOsr;

    /**
     * PDT_BIRTHDAY
     */
    private String pdtBirthday;

    /**
     * PSR_SPML
     */
    private String psrSpml;

    /**
     * PSR_MSG
     */
    private String psrMsg;

    /**
     * PSR_EDI_DEST
     */
    private String psrEdiDest;

    /**
     * SPECIAL_BG
     */
    private String specialBg;

    /**
     * PSR_CKITIME
     */
    private String psrCkitime;

    /**
     * PROVINCE
     */
    private String province;

    /**
     * PSR_NOTIFY
     */
    private String psrNotify;

    /**
     * PSR_AVIH
     */
    private String psrAvih;

    /**
     * PSR_RFFI
     */
    private String psrRffi;

    /**
     * PSR_EDI_DEPT
     */
    private String psrEdiDept;

    /**
     * DELETE_FLAG
     */
    private String deleteFlag;

    /**
     * SVC
     */
    private String svc;

    /**
     * PSR_INAD
     */
    private String psrInad;

    /**
     * PSR_WCBW
     */
    private String psrWcbw;

    /**
     * PSR_OFL
     */
    private String psrOfl;

    /**
     * PSR_NAME
     */
    private String psrName;

    /**
     * CITY
     */
    private String city;

    /**
     * PSR_STDRS
     */
    private String psrStdrs;

    /**
     * PSR_UNATTACH
     */
    private String psrUnattach;

    /**
     * DELETE_FLT_ID
     */
    private String deleteFltId;

    /**
     * CMT
     */
    private String cmt;

    /**
     * PSR_TSI
     */
    private String psrTsi;

    /**
     * PDT_MIDNAME
     */
    private String pdtMidname;

    /**
     * PAXCLASS
     */
    private String paxclass;

    /**
     * PSR_PIL
     */
    private String psrPil;

    /**
     * PSR_BAGS
     */
    private String psrBags;

    /**
     * PSR_XT
     */
    private String psrXt;

    /**
     * PSR_DEAF
     */
    private String psrDeaf;

    /**
     * PSR_WCMD
     */
    private String psrWcmd;

    /**
     * PSR_XASR
     */
    private String psrXasr;

    /**
     * PSR_BLND
     */
    private String psrBlnd;

    /**
     * CERT_TYPE
     */
    private String certType;

    /**
     * ICAO_CODE
     */
    private String icaoCode;

    /**
     * PSR_HOSTNBR
     */
    private String psrHostnbr;

    /**
     * PSR_TYPE
     */
    private String psrType;

    /**
     * DATASOURCE
     */
    private String datasource;

    /**
     * ADRESS
     */
    private String adress;

    /**
     * POSTCODE
     */
    private String postcode;

    /**
     * PDT_DEST
     */
    private String pdtDest;

    /**
     * PSR_FFFR
     */
    private String psrFffr;

    /**
     * FLT_DATE
     */
    private String fltDate;

    /**
     * PSR_OFFICE
     */
    private String psrOffice;

    /**
     * EDI
     */
    private String edi;

    /**
     * SEG_FLTID
     */
    private String segFltid;

    /**
     * PSR_BAGGAGE
     */
    private String psrBaggage;

    /**
     * FLT_NUMBER
     */
    private String fltNumber;

    /**
     * PDT_COUNTRY
     */
    private String pdtCountry;

    /**
     * SEG_DEST_CODE
     */
    private String segDestCode;

    /**
     * STA_ARVETM
     */
    private String staArvetm;

    /**
     * PSR_INFNAME
     */
    private String psrInfname;

    /**
     * PSR_GROUP
     */
    private String psrGroup;

    /**
     * PSR_RTFI
     */
    private String psrRtfi;

    /**
     * PSR_EDII
     */
    private String psrEdii;

    /**
     * PSR_BRDNO
     */
    private String psrBrdno;

    /**
     * PSR_AGENT
     */
    private String psrAgent;

    /**
     * PSR_CHNNAME
     */
    private String psrChnname;

    /**
     * STCR
     */
    private String stcr;

    /**
     * PSR_CKIPID
     */
    private String psrCkipid;

    /**
     * JMP
     */
    private String jmp;

    /**
     * PSR_BSCT
     */
    private String psrBsct;

    /**
     * PNR_REF
     */
    private String pnrRef;

    /**
     * SEG_DESTNO
     */
    private String segDestno;

    /**
     * PSR_PCTC
     */
    private String psrPctc;

    /**
     * PSR_INBOUND
     */
    private String psrInbound;

    /**
     * SN_ID
     */
    private String snId;

    /**
     * PSR_INF
     */
    private String psrInf;

    /**
     * PSR_SEG_SEATNBR
     */
    private String psrSegSeatnbr;

    /**
     * PSR_PSPT
     */
    private String psrPspt;

    /**
     * PSR_RUSH
     */
    private String psrRush;

    /**
     * PSR_EDI_WARN
     */
    private String psrEdiWarn;

    /**
     * PSR_REA
     */
    private String psrRea;

    /**
     * PDT_FIRSTNAME
     */
    private String pdtFirstname;

    /**
     * PDT_ISSUEDATE
     */
    private String pdtIssuedate;

    /**
     * PDT_ISSUE_COUNTRY
     */
    private String pdtIssueCountry;

    /**
     * PSR_PSM
     */
    private String psrPsm;

    /**
     * PSR_FOID_NONET
     */
    private String psrFoidNonet;

    /**
     * CT_DT
     */
    private String ctDt;

    /**
     * PDT_LASTNAME
     */
    private String pdtLastname;

    /**
     * PSR_STATUS
     */
    private String psrStatus;

    /**
     * PSR_XABP
     */
    private String psrXabp;

    /**
     * PSR_XRES
     */
    private String psrXres;

    /**
     * FFQNO
     */
    private String ffqno;

    /**
     * URES
     */
    private String ures;

    /**
     * PSR_EXSTSEAT
     */
    private String psrExstseat;

    /**
     * PSR_ARRIVE_TIME
     */
    private String psrArriveTime;

    /**
     * PSR_SBYNO
     */
    private String psrSbyno;

    /**
     * SEG_DEPT_CODE
     */
    private String segDeptCode;

    /**
     * PSR_GENDER
     */
    private String psrGender;

    /**
     * PSR_VUDGRADE
     */
    private String psrVudgrade;

    /**
     * PSR_WCOB
     */
    private String psrWcob;

    /**
     * PSR_ASOBOI
     */
    private String psrAsoboi;

    /**
     * PSR_SEA
     */
    private String psrSea;

    /**
     * PSR_CITYCANC
     */
    private String psrCitycanc;

    /**
     * PSR_BAGWGT
     */
    private String psrBagwgt;

    /**
     * VIP
     */
    private String vip;

    /**
     * DEP_ACTION_TIME
     */
    private String depActionTime;

    /**
     * FLT_SUFFIX
     */
    private String fltSuffix;

    /**
     * PSR_ACC
     */
    private String psrAcc;

    /**
     * PSR_CTCA
     */
    private String psrCtca;

    /**
     * PSR_UDGRADE
     */
    private String psrUdgrade;

    /**
     * SPECIAL_SEAT
     */
    private String specialSeat;

    /**
     * PSR_EMIG
     */
    private String psrEmig;

    /**
     * PSR_AEC
     */
    private String psrAec;

    /**
     * PDT_BIR_ADRESS
     */
    private String pdtBirAdress;

    /**
     * BORDER_TYPE
     */
    private String borderType;

    /**
     * PSR_SPML_ID
     */
    private String psrSpmlId;

    /**
     * PSR_ICS
     */
    private String psrIcs;

    /**
     * PSR_EFMN
     */
    private String psrEfmn;

    /**
     * PSR_SIP
     */
    private String psrSip;

    /**
     * PSR_PETC
     */
    private String psrPetc;

    /**
     * CERT_NO
     */
    private String certNo;

    /**
     * PDT_EXPRIRYDATE
     */
    private String pdtExprirydate;

    /**
     * PSR_CLASS
     */
    private String psrClass;

    /**
     * ETL_OPER_TYPE
     */
    private String etlOperType;

    /**
     * ETL_TIMESTAMP
     */
    private String etlTimestamp;

    /**
     * ETL_UPDATE_TIME
     */
    private String etlUpdateTime;


}
