package com.mosty.base.model.entity.afjcsj;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author dw
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("af_jcsj.vw_share_st_shzy_jt_kyqcgpxx_gx")
@ApiModel(value = "交通-购票基本信息")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class VwShareStShzyJtKyqcgpxxGx implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * GPRXM
     */
    private String gprxm;

    /**
     * GPRHM
     */
    private String gprhm;

    /**
     * GPRSJH
     */
    private String gprsjh;

    /**
     * XM
     */
    private String xm;

    /**
     * SFYXH
     */
    private String sfyxh;

    /**
     * ZJHM
     */
    private String zjhm;

    /**
     * ZJLXDM
     */
    private String zjlxdm;

    /**
     * ZJLX
     */
    private String zjlx;

    /**
     * XBDM
     */
    private String xbdm;

    /**
     * XB
     */
    private String xb;

    /**
     * MZDM
     */
    private String mzdm;

    /**
     * MZ
     */
    private String mz;

    /**
     * LXDZ
     */
    private String lxdz;

    /**
     * GPFS
     */
    private String gpfs;

    /**
     * SPY
     */
    private String spy;

    /**
     * GPZT
     */
    private String gpzt;

    /**
     * GPDZ
     */
    private String gpdz;

    /**
     * GPSJ
     */
    private String gpsj;

    /**
     * CCCZ
     */
    private String cccz;

    /**
     * FCSJ
     */
    private String fcsj;

    /**
     * CCCZBH
     */
    private String ccczbh;

    /**
     * CCCZJD
     */
    private String ccczjd;

    /**
     * CCCZWD
     */
    private String ccczwd;

    /**
     * DDCZ
     */
    private String ddcz;

    /**
     * DDCZBH
     */
    private String ddczbh;

    /**
     * DDCZJD
     */
    private String ddczjd;

    /**
     * DDCZWD
     */
    private String ddczwd;

    /**
     * CCCZCOD
     */
    private String ccczcod;

    /**
     * CCCZXZ
     */
    private String ccczxz;

    /**
     * DDCZCOD
     */
    private String ddczcod;

    /**
     * DDCZXZ
     */
    private String ddczxz;

    /**
     * CFD
     */
    private String cfd;

    /**
     * DDD
     */
    private String ddd;

    /**
     * CC
     */
    private String cc;

    /**
     * CPH
     */
    private String cph;

    /**
     * ZWH
     */
    private String zwh;

    /**
     * BZ
     */
    private String bz;

    /**
     * INFOSOURCEADDR
     */
    private String infosourceaddr;

    /**
     * INFOSOURCEDESC
     */
    private String infosourcedesc;

    /**
     * DEP_ACTION_FLAG
     */
    private String depActionFlag;

    /**
     * DEP_ACTION_TIME
     */
    private String depActionTime;

    /**
     * DEP_FIRSTENTER_TIME
     */
    private String depFirstenterTime;

    /**
     * UUID
     */
    private String uuid;

    /**
     * GPH
     */
    private String gph;

    /**
     * PH
     */
    private String ph;

    /**
     * ETL_OPER_TYPE
     */
    private String etlOperType;

    /**
     * ETL_TIMESTAMP
     */
    private String etlTimestamp;

    /**
     * ETL_UPDATE_TIME
     */
    private String etlUpdateTime;


}
