package com.mosty.base.model.entity.hczx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/16
 * 被盘查人员特征标签
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_hc_bpcry_tzbq")
@ApiModel(value = "TbHcBpcryTzbq 对象", description = "被盘查人员特征标签")
public class TbHcBpcryTzbq extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一ID", name = "id")
    private String id;

    @ApiModelProperty(value = "盘查业务ID", name = "pcywid")
    private String pcywid;

    @ApiModelProperty(value = "人员身份证号", name = "rysfzh")
    private String rysfzh;

    @ApiModelProperty(value = "人员姓名", name = "ryxm")
    private String ryxm;

    @ApiModelProperty(value = "特征标签类别", name = "tzbqlb")
    private String tzbqlb;

    @ApiModelProperty(value = "特征标签代码", name = "tzbqdm")
    private String tzbqdm;

    @ApiModelProperty(value = "特征标签名称", name = "tzbqmc")
    private String tzbqmc;

    @ApiModelProperty(value = "在逃人员逃跑日期", name = "tprq")
    private String tprq;
}
