package com.mosty.base.model.entity.hczx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/17
 * 人员特征标签对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_hc_rytzbq")
@ApiModel(value = "TbHcRytzbq 对象", description = "人员特征标签对象")
public class TbHcRytzbq extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    @ApiModelProperty(value = "特征标签类别(D_BZ_RYTZBQLB)", name = "tzbqlb")
    private String tzbqlb;

    @ApiModelProperty(value = "特征标签代码", name = "tzbqdm")
    private String tzbqdm;

    @ApiModelProperty(value = "特征标签名称", name = "tzbqmc")
    private String tzbqmc;

    @ApiModelProperty(value = "tzsx", name = "tzsx")
    private String tzsx;
}
