package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 勤务警组警用器械
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_jz_jyqx")
@ApiModel(value="TbJcglJzJyqx对象", description="勤务警组警用器械")
public class TbJcglJzJyqx extends BaseEntity implements Serializable, Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "勤务警组警用器械标识ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "勤务警组标识ID")
    private String qwjzId;

    @ApiModelProperty(value = "警用器械标识ID")
    private String qxId;

    @ApiModelProperty(value = "器械名称")
    private String qxmc;

    @ApiModelProperty(value = "器械类型（参考字典）")
    private String qxlx;

    @ApiModelProperty(value = "佩戴数量")
    private Integer qxsl;

}
