package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "巡防车辆设备")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_jcgl_xfcl_sb")
public class TbJcglXfclSb extends BaseEntity implements Serializable, Cloneable {

    @ApiModelProperty("主键ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "车辆id")
    private String cId;

    @ApiModelProperty(value = "设备唯一编号")
    private String sbbh;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "设备分类")
    private String sbFl;

    @ApiModelProperty(value = "设备品牌")
    private String sbPp;

    @ApiModelProperty(value = "--D_BZ_AZWZ（安装位置）安装位置;1车辆内部，2车辆前部，3车辆后部，4车辆顶部（数据字典）")
    private String azwz;

    @ApiModelProperty(value = "设备IPv4")
    private String sbIpv4;

    @ApiModelProperty(value = "设备IPv6")
    private String sbIpv6;

    @ApiModelProperty(value = "设备图片")
    private String sbTp;

    @ApiModelProperty(value = "是否支持视频 0不支持 1支持")
    private String sfsp;

}
