package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户信息表
 *
 * @TableName sys_user
 */
@Data
@TableName(value = "mosty_base.ybfj")
public class Ybfj implements Serializable {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "用户ID")
    private String id;

    @TableField(value = "xm")
    @ApiModelProperty(value = "姓名")
    private String xm;

    @TableField(value = "jh")
    @ApiModelProperty(value = "警号")
    private String jh;

    @TableField(value = "dh")
    @ApiModelProperty(value = "电话")
    private String dh;

    @TableField(value = "ssbmdm")
    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @TableField(value = "ssbm")
    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @TableField(value = "sfzh")
    @ApiModelProperty(value = "身份证")
    private String sfzh;


}