package com.mosty.base.model.entity.lzother;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Database Table Name: T_ALARM_BKXX_RY
 *
 * @author: T
 * @date: Thu May 14 21:00:12 CST 2020
 */
@Data
@ApiModel(value = "trs布控人员信息")
@Accessors(chain = true)
@TableName(value = "TRS_BIGDATA.T_ALARM_BKXX_RY")
public class TAlarmBkxxRy implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private String id;

    @TableField(value = "BKZJ")
    @ApiModelProperty(value = "布控信息主键")
    private String bkzj;

    @TableField(value = "XM")
    @ApiModelProperty(value = "被布控人姓名")
    private String xm;

    @TableField(value = "XB")
    @ApiModelProperty(value = "被布控人性别 1男 2 女")
    private BigDecimal xb;

    @TableField(value = "ZJLX")
    @ApiModelProperty(value = "证件类型")
    private BigDecimal zjlx;

    @TableField(value = "ZJHM")
    @ApiModelProperty(value = "证件号码")
    private String zjhm;

    @TableField(value = "QTTZ")
    @ApiModelProperty(value = "其他特征")
    private String qttz;

    @TableField(value = "ZP")
    @ApiModelProperty(value = "照片信息 多张用,分隔")
    private String zp;

    @TableField(value = "YWZP")
    @ApiModelProperty(value = "是否上传照片 1是 0 否")
    private BigDecimal ywzp;

    @TableField(value = "SFRLBK")
    @ApiModelProperty(value = "是否人脸布控 1 是 2 否 多张用,分隔")
    private String sfrlbk;

    @TableField(value = "ISBATCH")
    @ApiModelProperty(value = "是否批量布控1是")
    private BigDecimal isbaGLSFZHtch;

    @TableField(value = "GLSFZH")
    @ApiModelProperty(value = "关联身份证号")
    private String glsfzh;

    @TableField(value = "RYLB")
    @ApiModelProperty(value = "人员类别")
    private String rylb;

    @TableField(value = "RYXL")
    @ApiModelProperty(value = "人员细类")
    private String ryxl;

    @TableField(value = "RYLB_DM")
    @ApiModelProperty(value = "人员类别代码")
    private String rylbDm;

    @TableField(value = "RYXL_DM")
    @ApiModelProperty(value = "人员细类代码")
    private String ryxlDm;

    @TableField(value = "MZ")
    @ApiModelProperty(value = "民族")
    private String mz;

    @TableField(value = "MZ_DM")
    @ApiModelProperty(value = "民族代码")
    private String mzDm;

    @TableField(value = "XDXYRBH")
    @ApiModelProperty(value = "吸毒嫌疑人编号")
    private String xdxyrbh;

    @TableField(value = "FDXYRBH")
    @ApiModelProperty(value = "贩毒嫌疑人编号")
    private String fdxyrbh;

    public static void main(String[] args) {
        System.out.println("510502195007122514".substring(16,17));
    }

}