package com.mosty.base.model.entity.lzother;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * Database Table Name: T_ALARM_BKXX_RY
 *
 * @author: T
 * @date: Thu May 14 21:00:12 CST 2020
 */
@ApiModel(value = "拓尔思常控人员信息表")
@Data
@Accessors(chain = true)
@TableName(value = "TRS_BIGDATA.T_ALARM_CKRY")
public class TAlarmCkxx implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * zdrybh
     */
    @ApiModelProperty("zdrybh")
    private String zdrybh;

    /**
     * xm
     */
    @ApiModelProperty("xm")
    private String xm;

    /**
     * xmpy
     */
    @ApiModelProperty("xmpy")
    private String xmpy;

    /**
     * wwxm
     */
    @ApiModelProperty("wwxm")
    private String wwxm;

    /**
     * xb
     */
    @ApiModelProperty("xb")
    private String xb;

    /**
     * xb_dm
     */
    @ApiModelProperty("xb_dm")
    private String xbDm;

    /**
     * csrq
     */
    @ApiModelProperty("csrq")
    private Date csrq;

    /**
     * gj
     */
    @ApiModelProperty("gj")
    private String gj;

    /**
     * gj_dm
     */
    @ApiModelProperty("gj_dm")
    private String gjDm;

    /**
     * gmsfhm
     */
    @ApiModelProperty("gmsfhm")
    private String gmsfhm;

    /**
     * qtzjhm
     */
    @ApiModelProperty("qtzjhm")
    private String qtzjhm;

    /**
     * mz
     */
    @ApiModelProperty("mz")
    private String mz;

    /**
     * mz_dm
     */
    @ApiModelProperty("mz_dm")
    private String mzDm;

    /**
     * jg
     */
    @ApiModelProperty("jg")
    private String jg;

    /**
     * jg_dm
     */
    @ApiModelProperty("jg_dm")
    private String jgDm;

    /**
     * hjdqh
     */
    @ApiModelProperty("hjdqh")
    private String hjdqh;

    /**
     * hjdqh_dm
     */
    @ApiModelProperty("hjdqh_dm")
    private String hjdqhDm;

    /**
     * hjdxz
     */
    @ApiModelProperty("hjdxz")
    private String hjdxz;

    /**
     * hjdpcs
     */
    @ApiModelProperty("hjdpcs")
    private String hjdpcs;

    /**
     * hjdpcsdm
     */
    @ApiModelProperty("hjdpcsdm")
    private String hjdpcsdm;

    /**
     * xzdqh
     */
    @ApiModelProperty("xzdqh")
    private String xzdqh;

    /**
     * xzdqh_dm
     */
    @ApiModelProperty("xzdqh_dm")
    private String xzdqhDm;

    /**
     * xzxxdz
     */
    @ApiModelProperty("xzxxdz")
    private String xzxxdz;

    /**
     * xzdpcs
     */
    @ApiModelProperty("xzdpcs")
    private String xzdpcs;

    /**
     * xzdpcsdm
     */
    @ApiModelProperty("xzdpcsdm")
    private String xzdpcsdm;

    /**
     * gxdw
     */
    @ApiModelProperty("gxdw")
    private String gxdw;

    /**
     * gxdwjgdm
     */
    @ApiModelProperty("gxdwjgdm")
    private String gxdwjgdm;

    /**
     * ladw
     */
    @ApiModelProperty("ladw")
    private String ladw;

    /**
     * ladwjgdm
     */
    @ApiModelProperty("ladwjgdm")
    private String ladwjgdm;

    /**
     * zjlasj
     */
    @ApiModelProperty("zjlasj")
    private Date zjlasj;

    /**
     * nrbjzdryksj
     */
    @ApiModelProperty("nrbjzdryksj")
    private Date nrbjzdryksj;

    /**
     * zdrylbbj
     */
    @ApiModelProperty("zdrylbbj")
    private String zdrylbbj;

    /**
     * zdryxl
     */
    @ApiModelProperty("zdryxl")
    private String zdryxl;

    /**
     * zdryxl_dm
     */
    @ApiModelProperty("zdryxl_dm")
    private String zdryxlDm;

    /**
     * yxx
     */
    @ApiModelProperty("yxx")
    private String yxx;

    /**
     * yxx_dm
     */
    @ApiModelProperty("yxx_dm")
    private String yxxDm;

    /**
     * jlxzsj
     */
    @ApiModelProperty("jlxzsj")
    private Date jlxzsj;

    /**
     * jlcxsj
     */
    @ApiModelProperty("jlcxsj")
    private Date jlcxsj;

    /**
     * jlbgsj
     */
    @ApiModelProperty("jlbgsj")
    private Date jlbgsj;

    /**
     * sender
     */
    @ApiModelProperty("sender")
    private String sender;

    /**
     * sender_dm
     */
    @ApiModelProperty("sender_dm")
    private String senderDm;

    /**
     * id
     */
    @ApiModelProperty("id")
    private String id;

    /**
     * rksj
     */
    @ApiModelProperty("rksj")
    private Date rksj;

    /**
     * 照片id集合
     */
    @ApiModelProperty("照片id集合")
    private String fileids;

}