package com.mosty.base.model.entity.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import com.vividsolutions.jts.geom.Point;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_xffw")
@ApiModel(value = "TbQwXffw对象", description = "巡防报备-巡防范围")
public class TbQwXffw extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "巡防区标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "关联业务ID（值班或报备ID）")
    private String ywid;

    @ApiModelProperty(value = "关联表ID（巡防区或快反点ID）")
    private String glbid;

    @ApiModelProperty(value = "勤务类型（1 巡防排班  2 巡防报备）")
    private String qwlx;

    @ApiModelProperty(value = "--D_ZDY_XFFWLX 巡防范围类型（1 巡防区  2 快反点 3 检查站）")
    private String xffwlx;

    @ApiModelProperty(value = "巡防范围名称（巡防区或快反点名称）")
    private String fwMc;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
