package com.mosty.base.model.entity.rh;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 *
 * @author: T
 * @date: Thu May 14 21:00:12 CST 2020
 */
@Data
@ApiModel(value = "融合绵阳预警")
@Accessors(chain = true)
@TableName(value = "rh_myht_warn")
public class RhMyhtWarn implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "民警身份证")
    private String police;

    @ApiModelProperty(value = "抓拍民警姓名")
    private String policeName;

    @ApiModelProperty(value = "预警人员姓名")
    private String name;

    @ApiModelProperty(value = "预警人员身份证")
    private String card;

    @ApiModelProperty(value = "性别 1男 2女 0未知")
    private String sex;

    @ApiModelProperty(value = "标签名称")
    private String bqmc;

    @ApiModelProperty(value = "命中相似度")
    private String hitSimilarity;

    @ApiModelProperty(value = "底库照片")
    private String zp1;

    @ApiModelProperty(value = "抓拍小图照片")
    private String zp2;

    @ApiModelProperty(value = "抓拍大图")
    private String zp3;

    @ApiModelProperty(value = "经度")
    private String jd;

    @ApiModelProperty(value = "纬度")
    private String wd;

    @ApiModelProperty(value = "设备编号")
    private String sbbh;

    @ApiModelProperty(value = "告警时间戳")
    private Long createTime;

}