package com.mosty.base.model.entity.xinzhi;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@NoArgsConstructor
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(value = "view_czxx")
@ApiModel(value = "view_czxx 对象", description = "处置信息")
public class Czxx {

    @TableField(value = "id")
    private String id;

    @TableField(value = "phone")
    private String phone;

    @TableField(value = "time")
    private String time;

    @TableField(value = "mode1")
    private String mode1;

    @TableField(value = "jjdbh")
    private String jjdbh;

    @TableField(value = "jjyxm")
    private String jjyxm;

    @TableField(value = "zxid")
    private String zxid;

    @TableField(value = "lyh")
    private String lyh;

    @TableField(value = "units")
    private String units;

    @TableField(value = "lon")
    private String lon;

    @TableField(value = "lat")
    private String lat;

    @TableField(value = "bz")
    private String bz;

    @TableField(value = "cjdbh")
    private String cjdbh;

    @TableField(value = "fkdbh")
    private String fkdbh;

    @TableField(value = "rksj")
    private String rksj;

    @TableField(value = "gxsjc")
    private String gxsjc;

    @TableField(value = "rkr")
    private String rkr;

    @TableField(value = "gxr")
    private String gxr;

}
