package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 预警信息-车辆-标签表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_cl_bq")
@ApiModel(value="TbYjxxClBq对象", description="预警信息-车辆-标签表")
public class TbYjxxClBq extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警车辆标签表标识ID")
    private String id;

    @ApiModelProperty(value = "预警车辆表标识ID")
    private String yjclId;

    @ApiModelProperty(value = "--D_BZ_CLBQ（车辆标签）车辆标签代码：字典")
    private String clbqdm;

    @ApiModelProperty(value = "车辆标签")
    private String clbqmc;
}
