package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_dypz")
@ApiModel(value="TbYjxxDypz对象", description="预警信息-订阅配置表")
public class TbYjxxDypz extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "订阅人员ID")
    private String dyryId;

    @ApiModelProperty(value = "订阅人身份证号")
    private String dyrySfzh;

    @ApiModelProperty(value = "订阅人员姓名")
    private String dyryXm;

    @ApiModelProperty(value = "--D_BZ_TYJB（通用级别）订阅预警级别")
    private String dyYjjb;

    @ApiModelProperty(value = "--D_BZ_RYBQ（人员标签）订阅人员标签")
    private String dyYjrybq;

    @ApiModelProperty(value = "--D_BZ_CLBQ（车辆标签）订阅车辆标签")
    private String dyYjclbq;

    @ApiModelProperty(value = "订阅感知源数量")
    private Integer dyGzysl;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
