package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_dypz_yjjb")
@ApiModel(value="TbYjxxDypzYjjb对象", description="预警信息-订阅-预警级别表")
public class TbYjxxDypzYjjb extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "订阅id")
    private String dyId;

    @ApiModelProperty(value = "订阅人ID")
    private String dyRyid;

    @ApiModelProperty(value = "--D_BZ_TYJB（通用级别）预警级别")
    private String dyYjjb;

}
