package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_yjczjl")
@ApiModel(value="TbYjxxYjczjl对象", description="预警信息-操作记录表")
public class TbYjxxYjczjl extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警信息已阅人员表标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "预警ID")
    private String yjId;

    @ApiModelProperty(value = "查看时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cksj;

    @ApiModelProperty(value = "--D_BZ_CZFS（操作方式）操作方式：0-查看，1-人工转为指令，2-系统转为指令")
    private String czfs;

    @ApiModelProperty(value = "查看人员ID")
    private String ryId;

    @ApiModelProperty(value = "查看人员姓名")
    private String ryxm;

}
