package com.mosty.base.model.entity.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/11/28
 * 要素-人员电话要素表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_ys_ry_dh")
@ApiModel(value = "TbYsRyDh 对象", description = "要素-人员电话要素表")
public class TbYsRyDh extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "人员id")
    private String ryid;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "证件号码")
    private String zjhm;

    @ApiModelProperty(value = "--D_BZ_ZJLX（证件类型）证件种类代码")
    private String zjzl;

    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    @ApiModelProperty(value = "IMSI")
    private String imsi;
}
