package com.mosty.base.model.query.afjcsj;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "VwSyrkJzgjGxListQuery 对象", description = "实有人口轨迹查询列表")
public class VwSyrkJzgjGxListQuery extends BasePage implements Serializable {

    @ApiModelProperty("预警人员身份证号")
    private String zjhm;

    @ApiModelProperty("预警车辆车牌号")
    private String cph;

    @ApiModelProperty("开始时间")
    private String kssj;

    @ApiModelProperty("结束时间")
    private String jssj;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
