package com.mosty.base.model.query.base;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-12-09
 * 查询部门信息
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "SysDeptQuery 对象", description = "我的消息列表查询dto")
public class SysDeptQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "部门业务类型，多部门逗号拼接")
    private String orgBizTypes;

    @ApiModelProperty(value = "部门级别，多部门逗号拼接")
    private String orgLevels;
}
