package com.mosty.base.model.query.bkzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-07-13
 * 布控人员查询 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbBkRySearchDto对象", description = "控人员查询 dto")
public class TbBkRySearchDto extends PageDomain implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "布控类型 1.身份证布控 2.手机布控 3.护照布控 4.人脸布控")
    private String bklx;

    @ApiModelProperty(value = "布控内容")
    private String keyword;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "布控级别")
    private String bkjb;

    @ApiModelProperty(value = "审核状态")
    private String shzt;

    @ApiModelProperty(value = "布控状态")
    private String bkzt;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;

}
