package com.mosty.base.model.query.hczx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-08-02
 * 今日被盘查车辆列表查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcTodayBpcclQuery对象", description = "今日被盘查车辆列表查询DTO")
public class TbHcTodayBpcclQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "号牌种类")
    private String hphm;

    @ApiModelProperty(value = "--D_BZ_HPZL（号牌种类代码）号牌种类代码")
    private String hpzl;

    @ApiModelProperty(value = "部门代码")
    private String ssbmdm;
}
