package com.mosty.base.model.query.jcgl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_bxd")
@ApiModel(value="TbJcglBxd对象", description="巡防区域必巡点查询")
public class TbJcglBxdQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "所属巡防区域ID")
    private String ssXfqyId;

    @ApiModelProperty(value = "必巡点名称")
    private String bxdMc;

    @ApiModelProperty(value = "--D_BZ_BXDLX（必巡点类型）必巡点类型;1、一般区域，2、重点区域，3、核心区域，4、人员密集区域")
    private String bxdLx;

    @ApiModelProperty(value = "必巡点详细地址")
    private String xxdz;

    @ApiModelProperty(value = "--D_BZ_BXDLYDM（必巡点来源代码）01 经验必巡点 02 登记必巡点 03 区域分析必巡点")
    private String bxdlydm;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "数据状态")
    private String xtSjzt;
}
