package com.mosty.base.model.query.jcgl;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "装备类别")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class TbJcglJyqxQuery extends BasePage implements Serializable, Cloneable{

  @ApiModelProperty(value = "器械名称")
  private String qxMc;

  @ApiModelProperty(value = "器械编号")
  private String qxbh;

  @ApiModelProperty(value = "设备分类")
  private String scode;

  @ApiModelProperty(value = "采购日期")
  private String cgrq;

  @ApiModelProperty(name = "所属部门代码")
  private String ssbmdm;

  @ApiModelProperty(name = "所属部门id")
  private String ssbmid;
}
