package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglKhtjStatisticsQuery  对象", description = "绩效考核部门统计DTO")
public class TbJcglKhtjStatisticsQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "01.报备 02巡逻 03.签收")
    private String searchType;

    @ApiModelProperty(value = "查询条件 yyyy-MM-dd")
    private String time;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmdm;
}
