package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡访单位管理", description = "")
public class TbJcglXfDwglQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;


    @ApiModelProperty(value = "单位名称")
    private String dwmc;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "单位分类")
    private String dwfl;

    @ApiModelProperty(value = "单位类型")
    private String dwlx;


}