package com.mosty.base.model.query.jcgl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡防警力标签表（技能/经验）;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-6-6
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡访管理", description = "")
public class TbJcglXfQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = -4728653996454701336L;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "巡访类型")
    private String xflx;

    @ApiModelProperty(value = "巡访单位")
    private String xfdw;

    @ApiModelProperty(value = "巡防民警")
    private String xfmj;

    @ApiModelProperty(value = "任务状态")
    private String rwzt;

    @ApiModelProperty(value = "开始时间")
    private String kssj;

    @ApiModelProperty(value = "结束时间")
    private String jssj;

}