package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防力量表查询条件", description = "")
public class TbJcglXfllFzQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 3749357081830992531L;

    @ApiModelProperty(value = "警组名称")
    private String jzmc;

    @ApiModelProperty(value = "关键字")
    private String keyword;
}