package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglXfqyQuery对象", description = "巡防区域查询对象")
public class TbJcglXfqyQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "--D_BZ_XQLX（巡区类型）巡防区类型1、一般区域，2、重点区域，3、核心区域，4、人员密集区域")
    private String xfqLx;

    @ApiModelProperty(value = "--D_BZ_XFQDJ（巡防区等级）巡防区等级;")
    private String xfqDj;

    @ApiModelProperty(value = "巡防区名称")
    private String xfqMc;

    @ApiModelProperty(value = "巡防区负责人")
    private String xfqFzr;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "查询方圆范围（米）")
    private Integer radius;

}
