package com.mosty.base.model.query.jcgl;


import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "装备类别")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_jcgl_znzb")
public class TbJcglZnzbQuery extends BasePage implements Serializable, Cloneable{

  @ApiModelProperty(value = "设备编码")
  private String sbbh;

  @ApiModelProperty(value = "设备名称")
  private String sbmc;

  @ApiModelProperty(value = "设备分类")
  private String scode;

  @ApiModelProperty(value = "设备类型名称")
  private String sname;

  @ApiModelProperty(value = "采购日期")
  private String cgrq;

  @ApiModelProperty(value = "到期时间")
  private String dqsj;

  @ApiModelProperty("是否专业装备")
  private String sfzy;

  @ApiModelProperty("是否融合")
  private String sfrh;
  @ApiModelProperty(value = "所属单位")
  private String ssbmdm;

}
