package com.mosty.base.model.query.jcgl;


import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@ApiModel(value = "智能装备-专业装备查询")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class TbJcglZyzbQuery extends BasePage implements Serializable, Cloneable {

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "关联id")
    private String glid;

    @ApiModelProperty(value = "接入类型")
    private String jrlx;

    @ApiModelProperty(value = "是否融合")
    private String sfrh;
}
