package com.mosty.base.model.query.qwzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-11-23
 * APP 查询街面巡组列表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "TbQwJmxzSearchDto 对象", description = "APP 查询街面巡组列表")
public class TbQwJmxzSearchDto extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 6556387960466677177L;

    @ApiModelProperty("查询类型 1.本部门 2.全部")
    private String type;

    @ApiModelProperty("关键字")
    private String keyword;
}