package com.mosty.base.model.query.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-11-23
 * 我的请休假查询查询对象
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbQwQxjMyQuery 对象", description="我的请休假查询查询对象")
public class TbQwQxjMyQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "请假类型（01 调休  02 事假 03 病假  04 年假 05婚假 06 产假 07 陪产假 08 丧假）字典")
    private String qjlx;

    @ApiModelProperty(value = "请假开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date kssj;

    @ApiModelProperty(value = "请假结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date jssj;

}
