package com.mosty.base.model.query.qwzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbQwZbbbQuery 对象", description="值班报备查询对象")
public class TbQwZbbbQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "值班开始日期")
    private String startTime;

    @ApiModelProperty(value = "值班结束日期")
    private String endTime;

    @ApiModelProperty(value = "值班领导")
    private String zbldXm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;
}
