package com.mosty.base.model.query.rwzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/20
 * 我的任务表查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskMyQuery 对象", description = "我的任务表查询对象")
public class TbRwTaskMyInnerQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "开始时间")
    private String kssj;

    @ApiModelProperty(value = "结束时间")
    private String jssj;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "任务名称")
    private String rwmc;

    @ApiModelProperty(value = "任务内容")
    private String rwnr;

    @ApiModelProperty(value = "任务类型 1.通知任务  2.处置任务")
    private String rwlx;

    @ApiModelProperty(value = "任务紧急程度 1.特急 2.紧急 3.常规")
    private String rwjjcd;

    @ApiModelProperty(value = "任务状态 0.正常 1.任务关闭 2.任务暂停")
    private String rwzt;

    @ApiModelProperty(value = "个人状态  0.待查看 1.进行中 2.已完成 3.已转发 4.已驳回")
    private String grrwzt;

    @ApiModelProperty(value = "接收人身份证号")
    private String jsrsfzh;

    @ApiModelProperty(value = "任务细类 01.一标三实 02.预警核查 03巡防任务 04.值班任务  05.指令任务")
    private String rwxl;
}
