package com.mosty.base.model.query.rzzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/19
 * 接口调用日志分页查询dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRzDyjkQueryDto对象", description = "接口调用日志分页查询dto")
public class TbRzDyjkQueryDto extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "操作人姓名")
    private String czrxm;

    @ApiModelProperty(value = "接口系统")
    private String jkxt;

    @ApiModelProperty(value = "接口调用是否成功")
    private String sfcg;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
