package com.mosty.base.model.query.sjzx;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022-07-11
 * 事件查询 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSjQuery 对象", description = "事件查询 dto")
public class TbSjQuery extends BasePage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "事件来源:01-感知预警，02-警情，03-一键增援，04-犯罪分析，99-自行发起")
    private String sjFl;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
