package com.mosty.base.model.query.sjzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/7/20
 * 要素中新查询DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "YszxNyQuery 对象", description = "要素中新查询DTO")
public class YszxNyQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "开始年月")
    private String ksny;

    @ApiModelProperty(value = "结束年月")
    private String jsny;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
