package com.mosty.base.model.query.wzzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-11-28
 * 人员位置查询dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbWzSswzSearchDto 对象", description = "人员位置查询dto")
public class TbWzRywzSearchDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "查询时间")
    private String dwrq;

    @ApiModelProperty(value = "查询身份证号")
    private String sfzh;
}
