package com.mosty.base.model.query.wzzx;

import com.mosty.base.model.BasePage;
import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-11-28
 * 人员实时位置查询dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbWzSswzSearchDto 对象", description = "人员实时位置查询dto")
public class TbWzSswzSearchDto extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "定位日期")
    private String dwrq;

    @ApiModelProperty(value = "查询时间身份证号")
    private String sfzh;
}
