package com.mosty.base.model.query.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 订阅预警信息表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_dyyjxx")
@ApiModel(value="TbYjxxDyyjxx对象", description="订阅预警信息表")
public class TbYjxxDyyjxxQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "订阅人员ID")
    private String dyryId;

    @ApiModelProperty(value = "订阅人身份证号")
    private String dyrySfzh;

    @ApiModelProperty(value = "订阅人员姓名")
    private String dyryXm;

    @ApiModelProperty(value = "预警ID")
    private String yjId;

    @ApiModelProperty(value = "预警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjkssj;

    @ApiModelProperty(value = "预警时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date yjjssj;

    @ApiModelProperty(value = "短信手机号")
    private String dxjssjh;

}
