package com.mosty.base.model.query.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 预警信息-人员表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_ry")
@ApiModel(value="TbYjxxRy对象", description="预警信息-人员表")
public class TbYjxxRyQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警表ID")
    private String yjId;

    @ApiModelProperty(value = "乘坐车辆ID")
    private String yjClid;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "--D_BZ_SJLYUAN（事件来源）预警数据来源")
    private String yjSjly;

    @ApiModelProperty(value = "感知源id")
    private String yjGzyid;

    @ApiModelProperty(value = "--D_BZ_TYJB（通用级别）预警级别")
    private String yjJb;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
