package com.mosty.base.model.query.yjzl;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/10/31
 * APP端单人、单车预警统计
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYjxxStatisticsQuery 对象", description = "APP端单人、单车预警统计")
public class TbYjxxStatisticsQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("预警人员身份证号")
    private String yjRysfzh;

    @ApiModelProperty("预警车辆车牌号")
    private String yjClcph;


    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
