package com.mosty.base.model.query.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/11/06
 * app预警级别统计接口DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYjxxYjjbStatisticsQuery 对象", description = "app预警级别统计接口DTO")
public class TbYjxxYjjbStatisticsQuery implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("预警人员身份证号")
    private String yjRysfzh;

    @ApiModelProperty("预警人员姓名")
    private String yjRyxm;

    @ApiModelProperty("预警感知源ID")
    private String yjGzyid;

    @ApiModelProperty("预警车辆车牌号")
    private String yjClcph;

    @ApiModelProperty("查询开始时间")
    private String kssj;

    @ApiModelProperty("查询结束时间")
    private String jssj;

    @ApiModelProperty("所属部门代码")
    private String ssbmdm;
}
