package com.mosty.base.model.query.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author zengbo
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbZlxxZxjlQuery 对象", description="指令-执行记录表")
public class TbZlxxZxjlQuery implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "指令ID")
    private String zlId;

    @ApiModelProperty(value = "指令执行动作（00-接收指令，01-签收，02-到达现场，03-已处置，04-反馈，" +
            "05-下发，06-转发，07-转发确认，08-转发退回，99-完结）")
    private String zlzxzt;

    @ApiModelProperty(value = "所属部门")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgajdm;

}
