package com.mosty.base.model.query.yjzl;


import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 中心坐标
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TbZxzb对象", description = "中心坐标查询")
public class TbZxzbQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "坐标类型", name = "zblx")
    private String zblx;

    @ApiModelProperty(value = "坐标日期", name = "zbrq")
    private String zbrq;

}
