package com.mosty.base.model.vo.hczx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ClpcVo 对象", description = "盘查车辆返回的数据信息")
public class ClpcVo implements Serializable, Cloneable {


    @ApiModelProperty("机动车状态")
    private String jdczt;

    @ApiModelProperty("号牌种类")
    private String hpzl;

    @ApiModelProperty("号牌号码")
    private String hphm;

    @ApiModelProperty("车辆识别代号（车架号）")
    private String clsbdh;

    @ApiModelProperty("发动机型号")
    private String fdjxh;

    @ApiModelProperty("发动机号")
    private String fdjh;

    @ApiModelProperty("车身颜色")
    private String csys;

    @ApiModelProperty("车辆品牌1")
    private String clpp1;

    @ApiModelProperty("核定载重量")
    private String hdzzl;

    @ApiModelProperty("排量")
    private String pl;

    @ApiModelProperty("功率")
    private String gl;

    @ApiModelProperty("载重量")
    private String zzl;

    @ApiModelProperty("机动车所有人")
    private String jdcsyr;

    @ApiModelProperty("机动车所有人身份证号")
    private String sfzh;

    @ApiModelProperty("登记住址详址")
    private String djzzxz;

    @ApiModelProperty("暂住地址详址")
    private String zzdzxz;

    @ApiModelProperty("号牌种类字典名称")
    private String hpzl_ct;
}
