package com.mosty.base.model.vo.hczx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DqclVo 对象", description = "盗抢车辆返回的数据信息")
public class DqclVo implements Serializable, Cloneable {

    @ApiModelProperty("案件编号")
    private String ajbh;

    @ApiModelProperty("案件性质")
    private String ajxz;

    @ApiModelProperty("车辆类型")
    private String cllxdm;

    @ApiModelProperty("车辆品牌")
    private String clpp;

    @ApiModelProperty("车辆型号")
    private String clxh;

    @ApiModelProperty("号牌种类")
    private String hpzl;

    @ApiModelProperty("号牌号码")
    private String hphm;

    @ApiModelProperty("车身颜色")
    private String csys;

    @ApiModelProperty("机动车所有人")
    private String jdcsyr;

    @ApiModelProperty("初次登记日期")
    private String ccdjrq;

    @ApiModelProperty("发动机号")
    private String fdjh;

    @ApiModelProperty("车辆识别代号")
    private String clsbdh;

    @ApiModelProperty("车架号")
    private String cjh;

    @ApiModelProperty("报案人")
    private String bar;

    @ApiModelProperty("立案单位区划")
    private String ladwqh;

    @ApiModelProperty("立案单位代码")
    private String ladwdm;

    @ApiModelProperty("立案单位名称")
    private String ladwmc;

    @ApiModelProperty("立案时间")
    private String lasj;

    @ApiModelProperty("立案经办人")
    private String lajbr;

    @ApiModelProperty("立案单位联系电话")
    private String ladh;

    @ApiModelProperty("受理单位区划")
    private String sldwqh;

    @ApiModelProperty("受理单位代码")
    private String sldwdm;

    @ApiModelProperty("受理单位名称")
    private String sldwmc;

    @ApiModelProperty("受理时间")
    private String slsj;

    @ApiModelProperty("受理经办人")
    private String sljbr;

    @ApiModelProperty("受理单位联系电话")
    private String sldwlxdh;

    @ApiModelProperty("是否参加被盗抢险")
    private String sfcjbdqx;

    @ApiModelProperty("是否撤销")
    private String sfcx;

    @ApiModelProperty("撤销时间")
    private String cxsj;

    @ApiModelProperty("被盗抢机动车ID")
    private String bdqclcid;

    @ApiModelProperty("号牌种类字典名称")
    private String hpzl_ct;

    @ApiModelProperty("立案单位区划")
    private String ladwqh_ct;

    @ApiModelProperty("受理单位区划")
    private String sldwqh_ct;
}
