package com.mosty.base.model.vo.hczx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "RxSearchVo 对象", description = "人像查询返回VO")
public class RxSearchVo implements Serializable, Cloneable {


    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("")
    private String bdmbkbh;

    @ApiModelProperty("出生日期")
    private String csrq;

    @ApiModelProperty("轨迹")
    private String gj;

    @ApiModelProperty("公民身份号码")
    private String gmsfhm;

    @ApiModelProperty("户籍地")
    private String hjd;

    @ApiModelProperty("来源标识")
    private String lybs;

    @ApiModelProperty("民族代码")
    private String mz;

    @ApiModelProperty("派出所代码")
    private String pcsdm;

    @ApiModelProperty("派出所名称")
    private String pcsmc;

    @ApiModelProperty("")
    private String qy;

    @ApiModelProperty("")
    private String rxid;

    @ApiModelProperty("相似度")
    private String rxxsd;

    @ApiModelProperty("身份证号")
    private String sfzh;

    @ApiModelProperty("布控单位代码")
    private String sjgsdw;

    @ApiModelProperty("性别")
    private String xbdm;

    @ApiModelProperty("姓名")
    private String xm;

    @ApiModelProperty("")
    private String xp;

    @ApiModelProperty("相似度")
    private String xsd;
}
