package com.mosty.base.model.vo.hczx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "RyZpSearchVo 对象", description = "通过人像照片查询的结果返回类VO")
public class RyZpSearchVo implements Serializable, Cloneable{

    @ApiModelProperty("出生日期")
    private String csrq;

    @ApiModelProperty("身份证")
    private String sfzh;

    @ApiModelProperty("性别代码")
    private String xbdm;

    @ApiModelProperty("姓名")
    private String xm;

    @ApiModelProperty("相片ID")
    private String xp;

    @ApiModelProperty("相似度")
    private String xsd;

    @ApiModelProperty("图片路径")
    private String url;
}
