package com.mosty.base.model.vo.hczx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "RypcVo 对象", description = "盘查人员返回的数据信息")
public class RypcVo implements Serializable, Cloneable{

    @ApiModelProperty("出生日期")
    private String csrq;

    @ApiModelProperty("文化程度-词条")
    private String whcd_ct;

    @ApiModelProperty("文化程度")
    private String whcd;

    @ApiModelProperty("住址省市县(区)")
    private String zzssxq;

    @ApiModelProperty("")
    private List<String> xPByte;

    @ApiModelProperty("")
    private String hkszd;

    @ApiModelProperty("籍贯国家（地区）")
    private String jggj;

    @ApiModelProperty("身高")
    private String sg;

    @ApiModelProperty("出生地籍贯")
    private String csdjg;

    @ApiModelProperty("籍贯省市县词条")
    private String jgssx_ct;

    @ApiModelProperty("出生地详址")
    private String csdxz;

    @ApiModelProperty("兵役情况")
    private String byqk;

    @ApiModelProperty("婚姻状况字典名称")
    private String hyzk_ct;

    @ApiModelProperty("性别代码")
    private String xb;

    @ApiModelProperty("民族代码")
    private String mz;

    @ApiModelProperty("性别")
    private String xb_ct;

    @ApiModelProperty("服务场所")
    private String fwcs;

    @ApiModelProperty("")
    private String zzssxq_ct;

    @ApiModelProperty("婚姻状况")
    private String hyzk;

    @ApiModelProperty("身份证号")
    private String sfzh;

    @ApiModelProperty("出生地")
    private String csd;

    @ApiModelProperty("姓名")
    private String xm;

    @ApiModelProperty("曾用名")
    private String cym;

    @ApiModelProperty("")
    private String xp;

    @ApiModelProperty("民族")
    private String mz_ct;

    @ApiModelProperty("住址详址")
    private String zzxz;

    @ApiModelProperty("籍贯省市县")
    private String jgssx;

    @ApiModelProperty("职业")
    private String zy;
}
