package com.mosty.base.model.vo.jcgl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "TbJcglSbdwVo 对象", description = "设备定位")
public class TbJcglSbdwVo extends BaseEntity implements Serializable, Cloneable {

  private static final long serialVersionUID = 6556387960466677177L;

  @ApiModelProperty(value = "id")
  private String id;

  @ApiModelProperty(value = "设备编码")
  private String sbbh;

  @ApiModelProperty(value = "设备名称")
  private String sbmc;

  @ApiModelProperty(value = "设备分类")
  private String scode;

  @ApiModelProperty(value = "所属部门id")
  private String ssbmid;

  @ApiModelProperty(value = "所属部门")
  private String ssbm;

  @ApiModelProperty(value = "所属部门代码")
  private String ssbmdm;

  @ApiModelProperty(value = "所属县公安局")
  private String ssxgaj;

  @ApiModelProperty(value = "所属县公安局id")
  private String ssxgajid;

  @ApiModelProperty(value = "所属县公安局代码")
  private String ssxgajdm;

  @ApiModelProperty(value = "所属市公安局id")
  private String sssgajid;

  @ApiModelProperty(value = "所属市公安局")
  private String sssgaj;

  @ApiModelProperty(value = "所属市公安局代码")
  private String sssgajdm;

}