package com.mosty.base.model.vo.qwzx;

import com.mosty.base.model.dto.qwzx.TbQwBmjlbbCountDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author zengbo
 * @title: TbQwBmjlbbCountVo
 * @projectName mosty-dyga-cloud
 * @date 2022/7/9 10:27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbQwBmjlbbCountVo对象", description="部门每日警力报备统计对象")
public class TbQwBmjlbbCountVo {

    @ApiModelProperty(value = "在岗民警数")
    private int zgmjs;

    @ApiModelProperty(value = "不在岗民警数")
    private int bzgmjs;

    @ApiModelProperty(value = "在岗辅警数")
    private int zgfjs;

    @ApiModelProperty(value = "不在岗辅警数")
    private int bzgfjs;

    @ApiModelProperty(value = "街面民警")
    private int jmmj;

    @ApiModelProperty(value = "街面辅警")
    private int jmfj;

    @ApiModelProperty(value = "性别统计（性别字典）")
    private List<TbQwBmjlbbCountDto> xbtj;

    @ApiModelProperty(value = "人员类型统计（类型字典）")
    private List<TbQwBmjlbbCountDto> rylxtj;

    @ApiModelProperty(value = "年龄分布统计（1：30及以下、2：31-40、3：41-50 4：51及以上）")
    private List<TbQwBmjlbbCountDto> nlfbtj;

}
