package com.mosty.base.model.vo.qwzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 巡防值班部门统计
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="巡防值班部门统计VO", description="巡防值班部门统计")
public class TbQwXfbbBmtjVo implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "值班日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private String date;

    @ApiModelProperty(value = "值班数量")
    private Integer zbsl;

}
