package com.mosty.base.model.vo.qwzx;

import com.mosty.base.model.entity.qwzx.TbQwXfbb;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 巡防值班本人统计
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="巡防值班本人统计VO", description="巡防值班本人统计")
public class TbQwXfbbBrtjVo implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "总巡防时长")
    private Integer zxfsc;

    @ApiModelProperty(value = "年度时长")
    private Integer ndsc;

    @ApiModelProperty(value = "本月时长")
    private Integer bysc;

    @ApiModelProperty(value = "本周时长")
    private Integer bzsc;

    @ApiModelProperty(value = "总巡防里程")
    private Integer zxflc;

    @ApiModelProperty(value = "年度里程")
    private Integer ndlc;

    @ApiModelProperty(value = "本月里程")
    private Integer bylc;

    @ApiModelProperty(value = "本周里程")
    private Integer bzlc;

    @ApiModelProperty(value = "报备集合")
    private List<TbQwXfbb> bbList;

}
