package com.mosty.base.model.vo.qwzx;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbQwZbCheckVo对象", description="排版检查VO")
public class TbQwZbCheckVo implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;


    @ApiModelProperty(value = "值班日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date zbrq;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

}
