package com.mosty.base.model.vo.rwzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskRankingVo 对象", description = "任务排行统计返回对象vo")
public class TbRwTaskRankingVo implements Serializable, Cloneable  {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "接收人id")
    private String jsrid;

    @ApiModelProperty(value = "接收人名称")
    private String jsrmc;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "完成数")
    private String YS;

    @ApiModelProperty(value = "未完成数")
    private String NS;

    @ApiModelProperty(value = "完成度")
    private String rate;
}
