package com.mosty.base.model.vo.rwzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskStatisticsVo 对象", description = "任务返回对象vo")
public class TbRwTaskStatisticsVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务总数")
    private Integer all;

    @ApiModelProperty(value = "进行中")
    private Integer jxz;

    @ApiModelProperty(value = "超期进行中")
    private Integer cqjxz;

    @ApiModelProperty(value = "已完成")
    private Integer ywc;

    @ApiModelProperty(value = "超期完成")
    private Integer cqwc;

    @ApiModelProperty(value = "超期未完成")
    private Integer cqwwc;
}
