package com.mosty.base.model.vo.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;


@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "预测方格接口传输对象", description = "预测方格接口传输对象")
public class ForecastInterfaceVO implements Serializable, Cloneable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "状态代码")
	private int code;
	
	@ApiModelProperty(value = "返回总数")
	private int total;

	@ApiModelProperty(value = "返回信息")
	private String message;

	@ApiModelProperty(value = "预测方格接口结果列表")
	private List<ForecastResultsVO> results;

	
}
