package com.mosty.base.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 *  全局配置
 * @author kevin
 * @date 2022/5/25 1:56 上午
 * @since 1.0.0
 */
@Data
@Configuration
@ConfigurationProperties("exclude.path-patterns")
public class GlobalYmlConfig {

    /**
     *  token放行的配置列表
     */
    private List<String> token;

    /**
     * swagger 静态文件的放行列表
     */
    private List<String> swagger;

}
