package com.mosty.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.common.core.business.entity.SysUser;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author dw
 * @since 2022/8/8
 **/
@Mapper
public interface UserDeptMapper extends BaseMapper<SysUser> {

    @ApiOperation("查询部门下面的所有的人员信息")
    List<SysUser> getUserListByDeptId(List<String> deptId);

    @ApiOperation("查询本部门下的所有的，不包含子部门")
    List<SysUser> getUserListByIdAll(String deptid);
}
