package com.mosty.bkzx.sjjs.dto;


import lombok.Data;

import java.io.Serializable;

/**
 * 图像识别返回人员列表
 */
@Data
public class CustomInfo implements Serializable, Cloneable {
    private static final long serialVersionUID = 1l;

    /**
     * 人员身份证号
     */
    private String sfzh;

    /**
     * 人员出身日期
     */
    private String csrq;

    /**
     * 人员性别代码
     */
    private String xbdm;

    /**
     * 人员姓名
     */
    private String xm;

    /**
     * 人员照片ID
     */
    private String xp;

    /**
     * 相似度
     */
    private double xsd;

    /**
     * 人员照片URL
     *
     * @return
     */
    private String filePath;

}
