package com.mosty.bkzx.sjjs.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "图像识别返回人员列表", description = "图像识别返回人员列表")
public class CustomInfoVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 1l;

    @ApiModelProperty(value = "人员身份证号")
    private String sfzh;

    @ApiModelProperty(value = "人员出身日期")
    private String csrq;

    @ApiModelProperty(value = "人员性别代码")
    private String xbdm;

    @ApiModelProperty(value = "人员姓名")
    private String xm;

    @ApiModelProperty(value = "人员照片ID")
    private String xp;

    @ApiModelProperty(value = "相似度")
    private double xsd;

    @ApiModelProperty(value = "人员照片URL")
    private String filePath;
}
