package com.mosty.bkzx.sjjs.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 图像采集列表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "图像采集列表", description = "图像采集列表")
public class FaceRepository implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "人像库名称")
    private String name;

    @ApiModelProperty(value = "人像库类型(默认黑名单0)")
    private int type;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "用户自定义库等级（如：1-A，2-B）")
    private String rank;

}
