package com.mosty.bkzx.sjjs.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PersonIdentify implements Serializable, Cloneable {
    private static final long serialVersionUID = 1l;

    /**
     * 返回结果对应请求消息的QueryID
     */
    @ApiModelProperty(value = "返回结果对应请求消息的QueryID")
    private String QueryID;
    /**
     * 符合条件记录总数
     */
    @ApiModelProperty(value = "符合条件记录总数")
    private int TotalNum;

    /**
     * 结果人脸对象列表，相似度倒序排序
     */
    @ApiModelProperty(value = "结果人脸对象列表，相似度倒序排序")
    private FaceObjectList FaceObjectList;
}
