package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglZjk;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 基础管理-专家库 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-28
 */
@Mapper
public interface TbJcglZjkMapper extends BaseMapper<TbJcglZjk> {

    @ApiOperation("批量删除")
    int deleteBatch(@Param("list") List<String> list);

}
