package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.afjcsj.VwSydwJbxxGx;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022-10-27
 */
@Mapper
public interface VwSydwJbxxGxMapper extends BaseMapper<VwSydwJbxxGx> {

    @ApiOperation("查询实有单位列表")
    List<VwSydwJbxxGx> selectSydwList(Map<String,Object> map);

    @ApiOperation("查询是实有单位数量")
    Integer selectSydwCount(Map<String,Object> map);

    @ApiOperation("实有单位统计")
    List<Map<String, Object>> getStatistics();
}
