package com.mosty.base.manager.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mosty.base.model.entity.jcgl.TbJcglXfllBq;
import com.mosty.base.manager.mapper.TbJcglXfllbqMapper;
import com.mosty.base.manager.service.TbJcglXfllBqService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * 巡防力量表;(tb_jcgl_xfll)表服务接口
 *
 * @author : Lhh
 * @date : 2022-6-4
 */
@AllArgsConstructor
@Service
public class TbJcglXfllBqServiceImpl extends ServiceImpl<TbJcglXfllbqMapper, TbJcglXfllBq> implements TbJcglXfllBqService {

    private final TbJcglXfllbqMapper tbJcglXfllbqMapper;

    public void remove(String xfll_id, String bq_id) {
        LambdaUpdateWrapper<TbJcglXfllBq> updateWrapper = new LambdaUpdateWrapper<>();
        updateWrapper.eq(TbJcglXfllBq::getXfllId, xfll_id);
        updateWrapper.eq(TbJcglXfllBq::getBqId, bq_id);
        tbJcglXfllbqMapper.delete(updateWrapper);
    }
}