package com.mosty.qwzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.qwzx.TbQwBmjlbbJlmx;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 部门每日警力报备-警力明细 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Mapper
public interface TbQwBmjlbbJlmxMapper extends BaseMapper<TbQwBmjlbbJlmx> {

    @ApiOperation("删除部门每日警力报备-警力明细")
    int deleteJlmx(@Param("list") List<String> list);

    @ApiOperation("根据警组ID删除")
    void deleteByJlbbId(@Param("jlbbId") String jlbbId);
}
