package com.mosty.qwzx.mapper;

import com.mosty.base.model.entity.qwzx.TbQwXfpb;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.qwzx.TbQwXfpbMrjl;
import com.mosty.base.model.entity.qwzx.TbQwXfpbZq;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022/8/3
 **/
@Mapper
public interface TbQwXfpbMapper extends BaseMapper<TbQwXfpb> {

    @ApiOperation("根据条件按查询总数")
    int getCount(Map<String, Object> map);

    @ApiOperation("根据条件按查询列表")
    List<TbQwXfpb> getList(Map<String, Object> map);

    @ApiOperation("查询当前时间的巡防排班情况，发送消息提醒报备")
    List<TbQwXfpbMrjl> checkThisTimeXfpb();

    @ApiOperation("根据时间查询排班情况")
    List<TbQwXfpb> getPbBySjAndJl(@Param("pbksrq") String pbksrq,
                                  @Param("pbjsrq") String pbjsrq,
                                  @Param("jlId") String jlId,
                                  @Param("kssj") String kssj,
                                  @Param("jssj") String jssj,
                                  @Param("id") String id);
}
