package com.mosty.qwzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.qwzx.TbQwXfpbZq;
import com.mosty.base.model.entity.qwzx.TbQwZbpbZq;
import com.mosty.base.model.vo.qwzx.TbQwXfpbZqMyVo;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/8/3
 **/
@Mapper
public interface TbQwXfpbZqMapper extends BaseMapper<TbQwXfpbZq> {

    @ApiOperation("删除巡防排班周期数据")
    void deleteByPbId(@Param("pbId") String pbId);

    @ApiOperation("APP获取我的排班信息")
    TbQwXfpbZqMyVo getMyXfpbToday(@Param("userId") String userId);

    @ApiOperation("查询当天的排班信息")
    List<TbQwXfpbZq> getMyXfpbByTime(@Param("kssj") Date kssj,
                                     @Param("userId") String userId);

    @ApiOperation("查询部门排班情况")
    List<TbQwXfpbZq> getDeptByMonth(@Param("kssj") Date kssj, @Param("ssbmdm") String ssbmdm);
}
