package com.mosty.qwzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.qwzx.TbQwXfpb;
import com.mosty.base.model.entity.qwzx.TbQwZbpb;
import com.mosty.base.model.entity.qwzx.TbQwZbpbMrjl;
import com.mosty.base.model.entity.qwzx.TbQwZbpbZq;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022/8/3
 **/
@Mapper
public interface TbQwZbpbMapper extends BaseMapper<TbQwZbpb> {

    @ApiOperation("根据条件按查询总数")
    int getCount(Map<String, Object> map);

    @ApiOperation("根据条件按查询列表")
    List<TbQwZbpb> getList(Map<String, Object> map);

    @ApiOperation("查询当前时间的值班排班情况，发送消息提醒报备")
    List<TbQwZbpbMrjl> checkThisTimeZbpb();

    @ApiOperation("根据时间查询排班情况")
    List<TbQwZbpb> getZbBySjAndJl(@Param("zbpbksrq") String zbpbksrq,
                                  @Param("zbpbjsrq") String zbpbjsrq,
                                  @Param("jlId") String jlId,
                                  @Param("kssj") String kssj,
                                  @Param("jssj") String jssj,
                                  @Param("id") String id);
}
