package com.mosty.qwzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.qwzx.TbQwZbpbMrjl;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/8/10
 **/
@Mapper
public interface TbQwZbpbMrjlMapper extends BaseMapper<TbQwZbpbMrjl> {

    @ApiOperation("删除警力报备数据")
    void deleteByYwid(@Param("pbId") String pbId, @Param("pbzqId") String pbzqId);

    @ApiOperation("根据时间查询每日警力信息")
    List<TbQwZbpbMrjl> getMrjlByTime(@Param("zbkssj") String zbkssj,
                                     @Param("zbjssj") String zbjssj,
                                     @Param("pbid") String pbid);
}
