package com.mosty.rwzx;

import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 *	任务中心 微服务
 * @author zengbo
 * @date 2022/7/11 14:29 PM[
 * @since 1.0.0
 */
@EnableTimeConsume
//@ComponentScan("com.mosty")
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@MapperScan("com.mosty.rwzx.mapper")
@EnableDiscoveryClient
@EnableScheduling
@SpringBootApplication
public class MostyRwzxApplication {

	public static void main(String[] args) {

		SpringApplication.run(MostyRwzxApplication.class, args);
	}

}
