package com.mosty.sjzx.mapper;

import com.mosty.base.model.entity.sjzx.TbSjCyjl;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;
import java.util.Map;

/**
 * 事件-参与警力表(TbSjCyjl)表数据库访问层
 *
 * @author zhangHaiJun
 * @since 2022-07-13 09:11:18
 */
@Mapper
public interface TbSjCyjlMapper {

    @ApiOperation("查询所有数据")
    List<TbSjCyjl> queryAll(@Param("useSql") String useSql);
     
    @ApiOperation("通过ID查询单条数据")
    TbSjCyjl queryById(String id);

    @ApiOperation("参与警力统计")
    Map<String,Integer> joinCopCount(@Param("t") TbSjCyjl tbSjCyjl);
}


