package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxDypzClbq;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TbYjxxDypzClbqMapper extends BaseMapper<TbYjxxDypzClbq> {

    @ApiOperation("根据ID删除")
    int deleteByIds(@Param("list") List<String> list);

    @ApiOperation("根据订阅ID查询")
    List<TbYjxxDypzClbq> queryByDyid(@Param("list") List<String> list);

    @ApiOperation("根据订阅ID删除")
    void deleteByDyid(@Param("dyid") String dyid);
}
