package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxMxyj;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

@Mapper
public interface TbYjxxMxyjMapper extends BaseMapper<TbYjxxMxyj> {

    @ApiOperation("新增模型预警")
    void insertEntity(TbYjxxMxyj mxyj);

    @ApiOperation("修改模型预警")
    void updateEntity(TbYjxxMxyj mxyj);

    @ApiOperation("查询模型2的模型预警单条")
    TbYjxxMxyj selectbyMxId(@Param("kssj") String kssj,
                            @Param("jssj") String jssj,
                            @Param("radius") int radius,
                            @Param("jd") BigDecimal jd,
                            @Param("wd") BigDecimal wd,
                            @Param("mxid") String mxid);
}
