package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxRyBq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预警信息-人员-标签表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Mapper
public interface TbYjxxRyBqMapper extends BaseMapper<TbYjxxRyBq> {

    /**
     * 根据ID删除
     * @param list
     */
    int deleteByIds(@Param("list") List<String> list);

    /**
     * 根据预警人员ID查询
     * @param list
     * @return
     */
    List<TbYjxxRyBq> queryByYjryId(@Param("list") List<String> list);

    /**
     * 根据业务ID删除
     * @param ywid
     */
    void deleteByYwid(@Param("ywid") String ywid);

}
