package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxRy;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 预警信息-人员表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Mapper
public interface TbYjxxRyMapper extends BaseMapper<TbYjxxRy> {

    @ApiOperation("根据ID删除")
    int deleteByIds(@Param("list") List<String> list);

    @ApiOperation("新增人员信息")
    void insertEntity(TbYjxxRy ryxx);
}
