package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxSj;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预警信息-事件表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Mapper
public interface TbYjxxSjMapper extends BaseMapper<TbYjxxSj> {

    @ApiOperation("删除盘查人员车辆")
    int deleteByIds(@Param("list") List<String> list);

    @ApiOperation("根据预警ID删除")
    int deleteByYjId(@Param("yjid") String yjid);

    @ApiOperation("添加事件预警信息")
    void insertEntity(TbYjxxSj sj);
}
