package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbZlxxZxjl;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 指令-执行过程表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Mapper
public interface TbZlxxZxjlMapper extends BaseMapper<TbZlxxZxjl> {

    @ApiOperation("删除执行过程")
    int deleteZxjl(@Param("list") List<String> list);

    @ApiOperation("根据指令ID删除")
    void deleteByZlid(@Param("zlid") String zlid);

    @ApiOperation("添加实体")
    void insertEntity(TbZlxxZxjl zxjl);
}
