package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbZlxxZxr;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 指令-执行人或部门或巡组表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-09-05
 */
@Mapper
public interface TbZlxxZxrMapper extends BaseMapper<TbZlxxZxr> {

    @ApiOperation("删除指令执行人信息")
    void deleteByZlid(@Param("zlid") String zlid);
}
