package com.mosty.base.feign.service;

import com.mosty.common.base.domain.ResponseResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author dw
 * @since 2022/7/23
 * 日志中心对外调用接口 feign
 **/
@FeignClient(value = "mosty-rzzx")
public interface MostyRzzxFeignService {
    /**
     *  根据来源id修改数据
     * @param lyId 来源id
     * @return
     */
    @PostMapping("/mosty-rzzx/tbSpxlSpxlfaSxt/updateLyId")
    @ResponseBody
    ResponseResult updateLyId(@RequestBody String lyId);
}
