package com.mosty.base.model.dto.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 公安机关查询
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "GajgSearchDto 对象", description = "公安机关查询DTO")
public class GajgSearchDto implements Serializable, Cloneable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("所属部门id")
    private String ssbmid;

//    @ApiModelProperty("要素小类")
//    private String ysxl;
}
