package com.mosty.base.model.dto.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "GetSsbmDto 对象", description = "获取部门查询权限DTO")
public class GetSsbmDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("所属部门代码")
    private String ssbmdm;

    @ApiModelProperty("是否包含下级 0.不包含 1.包含  默认包含")
    private String isChild;
}
