package com.mosty.base.model.dto.base;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/*
 * @author dw
 * @since 2022/7/20
 * 查询舆情列表DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "GetYqListDto 对象", description = "查询舆情列表DTO")
public class GetYqListDto implements Serializable, Cloneable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("当前页")
    private Integer currPage;

    @ApiModelProperty("每页条数")
    private Integer pageSize;

    @ApiModelProperty("查询开始时间")
    private String starTime;

    @ApiModelProperty("查询结束时间")
    private String endTime;
}
