package com.mosty.base.model.dto.base;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/*
 * @author dw
 * @since 2022/7/20
 * 仁寿户籍预警查询DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "RsHjyjSearchDto 对象", description = "仁寿户籍预警查询DTO")
public class RsHjyjSearchDto implements Serializable, Cloneable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("查询")
    private String api_userid;

    @ApiModelProperty("查询人员身份证号")
    private String zjhm;
}
