package com.mosty.base.model.dto.hczx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@ApiModel(value = "依图人脸库")
@Accessors(chain = true)
public class Repository {

    @ApiModelProperty(value = "返回结果的排序 方式支持similarity")
    private order order;

    @Data
    public static class order {
        @ApiModelProperty("字段similarity  -1倒叙")
        private Integer similarity;
    }

    @ApiModelProperty("从第几个开始返回")
    private Integer start;
    @ApiModelProperty("条数")
    private Integer limit;
    @ApiModelProperty("如果此域不存在表示不进行检索过滤")
    private retrieval retrieval;

    @Data
    public static class retrieval {
        @ApiModelProperty("base64解码后的内容")
        private String picture_image_content_base64;
        @ApiModelProperty("库id列表  19常口 129重点")
        private List<String> repository_ids;
        @ApiModelProperty("相似度")
        private Integer threshold;
        @ApiModelProperty("是否开启加速")
        private Boolean fast;
    }


}
