package com.mosty.base.model.dto.jcgl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 训练记录DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglXljlDto 对象", description = "训练记录DTO")
public class TbJcglXljlDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "警力表ID")
    private String xfllId;

    @ApiModelProperty(value = "训练日期")
    private String xlrq;

    @ApiModelProperty(value = "训练成绩（D_BZ_XLCJ）")
    private String xlcj;

    @ApiModelProperty(value = "训练时长")
    private String xlsc;

    @ApiModelProperty(value = "训练类型（D_BZ_XFXLLX）")
    private String xllx;

}
