package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-06-27
 * 民辅警查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbQwMfjSearchDto 对象", description="民辅警查询DTO")
public class TbQwMfjSearchDto extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "bbrq")
    private String bbrq;

    @ApiModelProperty(value = "ssbmid")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    // 后续增加的Dto===================================================================
    @ApiModelProperty(value = "jlxm")
    private String jlxm;

    @ApiModelProperty(value = "jh")
    private String jh;

    @ApiModelProperty(value = "userName")
    private String userName;

    @ApiModelProperty(value = "kssj")
    private String kssj;

    @ApiModelProperty(value = "xm")
    private String xm;

    @ApiModelProperty(value = "jllx")
    private String jllx;

    @ApiModelProperty(value = "jssj")
    private String jssj;

    @ApiModelProperty(value = "qjrq")
    private String qjrq;
}
