package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-08-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwSearchZgmfjDto对象", description = "在岗民辅警列表查询dto")
public class TbQwSearchZgmfjDto extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "01.民警  02.辅警", required = true)
    private String jllx;

    @ApiModelProperty(value = "警力姓名")
    private String jlxm;

    @ApiModelProperty(value = "警号")
    private String jh;

    @ApiModelProperty(value = "警力身份证")
    private String sfzh;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
