package com.mosty.base.model.dto.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfaSxtPz;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022-09-17
 * 世乒赛队伍活动轨迹变更 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwSpsHdgjChangeDto 对象", description = "世乒赛队伍活动轨迹变更 dto")
public class TbQwSpsHdgjChangeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("参赛队伍Id集合")
    private List<String> ids;

    @ApiModelProperty("活动类型：1-离开住地，2-到达场馆，3-离开场馆，4-到达住地")
    private String hdlx;
}
