package com.mosty.base.model.dto.qwzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022-08-01
 * 巡防报备打卡新增DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwXfbbDkDto 对象", description = "巡防报备打卡新增DTO")
public class TbQwXfbbDkDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "报备ID")
    private String bbid;

    @ApiModelProperty(value = "图片ID，多图片用逗号拼接")
    private String tpid;
}
