package com.mosty.base.model.dto.rwzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022/9/20
 * 任务状态修改Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskGrChangeStateDto 对象", description = "任务状态修改Dto")
public class TbRwTaskChangeStateDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty("任务状态 0.正常  1.任务关闭 2.任务暂停")
    private String rwzt;

    @ApiModelProperty(value = "变更人")
    private String bgrid;

    @ApiModelProperty(value = "变更人姓名")
    private String bgrxm;

    @ApiModelProperty(value = "变更人身份证号")
    private String bgrsfzh;

    @ApiModelProperty(value = "变更人电话号码")
    private String bgrdhhm;

    @ApiModelProperty(value = "应用ID")
    private String yyid;

    @ApiModelProperty(value = "应用名称")
    private String yyxt;

    @ApiModelProperty(value = "创建人所属id")
    private String ssbmid;

    @ApiModelProperty(value = "创建人所属部门")
    private String ssbm;

    @ApiModelProperty(value = "创建人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "创建人所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "创建人所属市公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String ssxgajdm;

    @ApiModelProperty(value = "创建人所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "创建人所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "创建人所属市公安局代码")
    private String sssgajdm;
}
