package com.mosty.base.model.dto.rwzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskStatisticsDto 对象", description = "任务统计数据Dto")
public class TbRwTaskStatisticsDto implements Serializable, Cloneable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据类型 1.当天 2.近7天 3.近30天")
    private String dateType;

    @ApiModelProperty(value = "接收人身份证号")
    private String sfzh;

    @ApiModelProperty(value = "创建人所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "创建人所属部门id")
    private String ssbmid;
}
