package com.mosty.base.model.dto.rwzx;

import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/20
 * 任务接收人员DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRwTaskUserInnerDto 对象", description = "任务接收人员DTO")
public class TbRwTaskUserInnerDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "任务转发类型 1.常规任务 2.转发任务 3.驳回任务")
    private String rwzflx;

    @ApiModelProperty(value = "任务接收对象 01.人员 02.部门 03.巡组")
    private String rwjsdx;

    @ApiModelProperty(value = "接收人id")
    private String jsrid;

    @ApiModelProperty(value = "接收人名称")
    private String jsrmc;

    @ApiModelProperty(value = "接收人身份证号")
    private String jsrsfzh;

    @ApiModelProperty(value = "接收人电话")
    private String jsrlxdh;

    @ApiModelProperty(value = "接收部门code")
    private String jsbmdm;

    @ApiModelProperty(value = "接收巡组ID")
    private String jsxzid;

    @ApiModelProperty(value = "接收部门名称")
    private String jsbmmc;

    @ApiModelProperty(value = "接收巡组名称")
    private String jsxzmc;
}
