package com.mosty.base.model.dto.rzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/7/11
 * 接口对接日志添加Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRzDyjkInsertDto对象", description = "接口对接日志添加Dto")
public class TbRzDyjkInsertDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "调用功能，存菜单名称")
    private String dygn;

    @ApiModelProperty(value = "接口系统")
    private String jkxt;

    @ApiModelProperty(value = "接口URL")
    private String jkurl;

    @ApiModelProperty(value = "接口入参")
    private String jkrc;
}
