package com.mosty.base.model.dto.rzzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/7/11
 * 呼叫日志添加Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRzHjInsertDto对象", description = "呼叫日志添加Dto")
public class TbRzHjInsertDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "--D_BZ_HJLY（呼叫来源）呼叫来源：01-巡组呼叫，02-事件呼叫")
    private String hjly;

    @ApiModelProperty(value = "来源ID")
    private String lyId;

    @ApiModelProperty(value = "--D_BZ_HJFS(呼叫方式)呼叫方式：01-对讲机，02-执法记录仪语音，03-执法记录仪语音视频")
    private String fjfs;

    @ApiModelProperty(value = "呼叫唯一号码")
    private String hjhm;

    @ApiModelProperty(value = "被呼叫人id")
    private String bfjrId;

    @ApiModelProperty(value = "被呼叫人身份证号")
    private String bfjrSfzh;

    @ApiModelProperty(value = "被呼叫人姓名")
    private String bfjrXm;

    @ApiModelProperty(value = "被呼叫人部门")
    private String bfjrSsbm;

    @ApiModelProperty(value = "被呼叫人部门id")
    private String bfjrSsbmdm;

    @ApiModelProperty(value = "被呼叫人县公安局")
    private String bfjrSsxgaj;

    @ApiModelProperty(value = "被呼叫人县公安局id")
    private String bfjrSsxgajdm;

    @ApiModelProperty(value = "被呼叫人市公安局")
    private String bfjrSssgaj;

    @ApiModelProperty(value = "被呼叫人市公安局id")
    private String bfjrSssgajdm;

    @ApiModelProperty(value = "附件ID")
    private String tpId;
}
