package com.mosty.base.model.dto.rzzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/8/4
 * 系统反馈日志新增和修改Dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRzXtfkInsertDto对象", description = "系统反馈日志新增和修改Dto")
public class TbRzXtfkInsertDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "反馈类型1-系统问题，2-功能改进建议，3-新需求")
    private String fklx;

    @ApiModelProperty(value = "反馈系统")
    private String fkxt;

    @ApiModelProperty(value = "反馈时间")
    private String fksj;

    @ApiModelProperty(value = "反馈内容")
    private String fknr;

    @ApiModelProperty(value = "反馈附件")
    private String fkfj;

    @ApiModelProperty(value = "反馈人ID")
    private String fkrid;

    @ApiModelProperty(value = "反馈人身份证号")
    private String fkrsfzh;

    @ApiModelProperty(value = "反馈人姓名")
    private String fkrxm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
