package com.mosty.base.model.dto.sjzx;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "BxdCreatedDto 对象", description = "必巡点计算返回结果DTO")
public class BxdCreatedDto {

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "纬度")
    private BigDecimal wd;

    @ApiModelProperty(value = "D_BZ_PZLX 配置类型 01.刑事警情 02.行政警情 03.其他警情 04.预警人员 " +
            "05.预警车辆 06.预警事件 07.盘查重点人员 08.盘查重点车辆")
    private String pzlx;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
