package com.mosty.base.model.dto.sjzx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022-08-25
 * 修改经纬度 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSjUpdateJwdDto 对象", description = "修改经纬度 dto")
public class TbSjUpdateJwdDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "当前经度")
    private BigDecimal dqjd;

    @ApiModelProperty(value = "当前纬度")
    private BigDecimal dqwd;

    @ApiModelProperty(value = "当前地址")
    private String dqdz;

    @ApiModelProperty(value = "当前行政区划")
    private String dqdzxzqh;
}
