package com.mosty.base.model.dto.spxl;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-07-11
 * 视频巡逻方案修改 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSpxlSpxlfaUpdateDto对象", description = "视频巡逻方案修改dto")
public class TbSpxlSpxlfaUpdateDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "方案名称")
    private String famc;

    @ApiModelProperty(value = "开始时间")
    private String kssj;

    @ApiModelProperty(value = "结束时间")
    private String jssj;

    @ApiModelProperty(value = "方案类型")
    private String falx;

    @ApiModelProperty(value = "分屏数")
    private String fps;

    @ApiModelProperty(value = "间隔时间")
    private Integer jgsj;
}
