package com.mosty.base.model.dto.yjzl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbFzycDto 对象", description = "犯罪预测查询DTO")
public class TbFzycDto extends BasePage implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "开始日期")
    private String kssj;

    @ApiModelProperty(value = "结束日期")
    private String jssj;

    @ApiModelProperty(value = "是否已巡逻")
    private String sfxl;

    @ApiModelProperty(value = "案发概率")
    private BigDecimal prob;

    @ApiModelProperty(value = "网格大小")
    private String gridType;

    @ApiModelProperty(value = "班次")
    private String bc;

    @ApiModelProperty(value = "班次bcList")
    private List<String> bcList;

    @ApiModelProperty(value = "关键字")
    private String keyWord;
}
