package com.mosty.base.model.dto.yjzl;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbYjxxYyjStatisticsDto 对象", description="预警年月统计相关DTO")
public class TbYjxxYyjStatisticsDto implements Serializable,Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "开始年月")
    private String ksny;

    @ApiModelProperty(value = "结束年月")
    private String jsny;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
