package com.mosty.base.model.entity.afjcsj;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author dw
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("af_jcsj.vw_share_st_tl_lksmdp_gx")
@ApiModel(value = "铁路--购票基本信息")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class VwShareStTlLksmdpGx implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * DZ
     */
    private String dz;

    /**
     * DEP_ACTION_TIME
     */
    private String depActionTime;

    /**
     * DEP_ACTION_FLAG
     */
    private String depActionFlag;

    /**
     * DPCK
     */
    private String dpck;

    /**
     * RKSJC
     */
    private String rksjc;

    /**
     * SPSJ
     */
    private String spsj;

    /**
     * ZWH
     */
    private String zwh;

    /**
     * CXH
     */
    private String cxh;

    /**
     * FZ
     */
    private String fz;

    /**
     * CCR_XM
     */
    private String ccrXm;

    /**
     * CCR_ZJHM
     */
    private String ccrZjhm;

    /**
     * CCRQ
     */
    private String ccrq;

    /**
     * CC
     */
    private String cc;

    /**
     * ETL_OPER_TYPE
     */
    private String etlOperType;

    /**
     * ETL_TIMESTAMP
     */
    private String etlTimestamp;

    /**
     * ETL_UPDATE_TIME
     */
    private String etlUpdateTime;


}
