package com.mosty.base.model.entity.afjcsj;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author dw
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("af_jcsj.vw_sydw_jbxx_gx")
@ApiModel(value = "实有单位基本信息表")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class VwSydwJbxxGx implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("")
    private String xxsbzh;

    @ApiModelProperty("注册地址")
    private String zcdz;

    @ApiModelProperty("管理等级 1.A 2.B 3.C")
    private String gldj;

    @ApiModelProperty("")
    private String xtLrrid;

    @ApiModelProperty("")
    private String xtLrip;

    @ApiModelProperty("")
    private String sfytp;

    @ApiModelProperty("")
    private String depFirstenterTime;

    @ApiModelProperty("")
    private String sjdwid;

    @ApiModelProperty("单位联系电话")
    private String dwlxdh;

    @ApiModelProperty("")
    private String lxrzjhm;

    @ApiModelProperty("")
    private String lxrlxdh;

    @ApiModelProperty("")
    private String sjdm;

    @ApiModelProperty("")
    private String dwscjp;

    @ApiModelProperty("")
    private String lxrxm;

    @ApiModelProperty("")
    private String dwxz;

    @ApiModelProperty("")
    private String dzDwdzmlpdm;

    @ApiModelProperty("注册日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private String zcrq;

    @ApiModelProperty("")
    private String zcdzbh;

    @ApiModelProperty("")
    private String jkgs;

    @ApiModelProperty("")
    private String xtZhxgsj;

    @ApiModelProperty("")
    private String lxrgjdm;

    @ApiModelProperty("")
    private String bmjb;

    @ApiModelProperty("单位地址详址")
    private String dzDwdzxz;

    @ApiModelProperty("")
    private String xtTimestamp;

    @ApiModelProperty("")
    private String bz;

    @ApiModelProperty("")
    private String whksrq;

    @ApiModelProperty("单位分类")
    private String dwfl;

    @ApiModelProperty("")
    private String lxrzjlx;

    @ApiModelProperty("")
    private String sxzw;

    @ApiModelProperty("")
    private String dwdzs;

    @ApiModelProperty("")
    private String zzjgdm;

    @ApiModelProperty("")
    private String dwmcjp;

    @ApiModelProperty("")
    private String xtZxyy;

    @ApiModelProperty("")
    private String xtLrrxm;

    @ApiModelProperty("")
    private String whjzrq;

    @ApiModelProperty("")
    private String depActionFlag;

    @ApiModelProperty("")
    private String dwdzsc;

    @ApiModelProperty("")
    private String sfbd;

    @ApiModelProperty("")
    private String cqzq;

    @ApiModelProperty("")
    private String dzDwdzdm;

    @ApiModelProperty("ID")
    private String id;

    @ApiModelProperty("所属责任区代码")
    private String sszrqdm;

    @ApiModelProperty("")
    private String zpfmid;

    @ApiModelProperty("")
    private String zxyybz;

    @ApiModelProperty("从业人数")
    private String cyrs;

    @ApiModelProperty("")
    private String wljdsbdzh;

    @ApiModelProperty("单位名称")
    private String dwmc;

    @ApiModelProperty("")
    private String swdjh;

    @ApiModelProperty("注销标志")
    private String xtZxbz;

    @ApiModelProperty("")
    private String xxsbmm;

    @ApiModelProperty("")
    private String yyzzh;

    @ApiModelProperty("")
    private String jyfw;

    @ApiModelProperty("")
    private String sjdw;

    @ApiModelProperty("")
    private String zby;

    @ApiModelProperty("")
    private String zczb;

    @ApiModelProperty("")
    private String sjlybs;

    @ApiModelProperty("")
    private String xtCjsj;

    @ApiModelProperty("")
    private String zafzr;

    @ApiModelProperty("")
    private String yxqz;

    @ApiModelProperty("")
    private String xtLrrbm;

    @ApiModelProperty("")
    private String dwbh;

    @ApiModelProperty("")
    private String xtLrsj;

    @ApiModelProperty("")
    private String ssfjdm;

    @ApiModelProperty("")
    private String scbj;

    @ApiModelProperty("")
    private String dzDwdzssxdm;

    @ApiModelProperty("")
    private String xtZhxgrbmid;

    @ApiModelProperty("")
    private String xtLrrbmid;

    @ApiModelProperty("")
    private String xtZhxgrbm;

    @ApiModelProperty("")
    private String lxrgmsfhm;

    @ApiModelProperty("")
    private String fzrq;

    @ApiModelProperty("")
    private String sjmc;

    @ApiModelProperty("")
    private String ssdq;

    @ApiModelProperty("")
    private String sfyspjk;

    @ApiModelProperty("")
    private String xtZhxgrxm;

    @ApiModelProperty("")
    private String xtZhxgrid;

    @ApiModelProperty("")
    private String xtZhxgip;

    @ApiModelProperty("")
    private String sspcsdm;

    @ApiModelProperty("")
    private String whzt;

    @ApiModelProperty("")
    private String dzDwdzmlpxz;

    @ApiModelProperty("")
    private String oldId;

    @ApiModelProperty("")
    private String dwsc;

    @ApiModelProperty("")
    private String xzbj;

    @ApiModelProperty("")
    private String depActionTime;

    @ApiModelProperty("")
    private String oldSjdwid;

    @ApiModelProperty("")
    private String wljdsbdmm;

    @ApiModelProperty("")
    private String bars;

    @ApiModelProperty("")
    private String zbx;

    @ApiModelProperty("")
    private String etlOperType;

    @ApiModelProperty("")
    private String etlTimestamp;

    @ApiModelProperty("")
    private String etlUpdateTime;

    @ApiModelProperty("责任区名称")
    @TableField(exist = false)
    private String sszrqmc;
}
