package com.mosty.base.model.entity.afjcsj;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author dw
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("af_jcsj.vw_syrk_jzgj_gx")
@ApiModel(value = "实有人口-居住轨迹")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class VwSyrkJzgjGx implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * JZD_ZRQDM
     */
    private String jzdZrqdm;

    /**
     * JZD_FWID
     */
    private String jzdFwid;

    /**
     * JZD_FWLBDM
     */
    private String jzdFwlbdm;

    /**
     * JZD_DZID
     */
    private String jzdDzid;

    /**
     * JZD_DZXZ
     */
    private String jzdDzxz;

    /**
     * JZD_ZBX
     */
    private String jzdZbx;

    /**
     * JZD_ZBY
     */
    private String jzdZby;

    /**
     * GLDW
     */
    private String gldw;

    /**
     * GLRID
     */
    private String glrid;

    /**
     * SECURITYGRADE
     */
    private String securitygrade;

    /**
     * BZ
     */
    private String bz;

    /**
     * XT_CJSJ
     */
    private String xtCjsj;

    /**
     * XT_LRSJ
     */
    private String xtLrsj;

    /**
     * XT_LRRXM
     */
    private String xtLrrxm;

    /**
     * XT_LRRID
     */
    private String xtLrrid;

    /**
     * XT_LRRBM
     */
    private String xtLrrbm;

    /**
     * XT_LRRBMID
     */
    private String xtLrrbmid;

    /**
     * XT_LRIP
     */
    private String xtLrip;

    /**
     * XT_ZHXGSJ
     */
    private String xtZhxgsj;

    /**
     * XT_ZHXGRXM
     */
    private String xtZhxgrxm;

    /**
     * XT_ZHXGRID
     */
    private String xtZhxgrid;

    /**
     * XT_ZHXGRBM
     */
    private String xtZhxgrbm;

    /**
     * XT_ZHXGRBMID
     */
    private String xtZhxgrbmid;

    /**
     * XT_ZHXGIP
     */
    private String xtZhxgip;

    /**
     * XT_ZXBZ
     */
    private String xtZxbz;

    /**
     * XT_ZXYY
     */
    private String xtZxyy;

    /**
     * XT_ZXYYBZ
     */
    private String xtZxyybz;

    /**
     * OLD_ID
     */
    private String oldId;

    /**
     * OLD_RYID
     */
    private String oldRyid;

    /**
     * OLD_JZD_DZID
     */
    private String oldJzdDzid;

    /**
     * SSDQ
     */
    private String ssdq;

    /**
     * OLD_JZD_FWID
     */
    private String oldJzdFwid;

    /**
     * CYZJDM
     */
    private String cyzjdm;

    /**
     * ZJHM
     */
    private String zjhm;

    /**
     * XM
     */
    private String xm;

    /**
     * XBDM
     */
    private String xbdm;

    /**
     * CSRQ
     */
    private String csrq;

    /**
     * CSRQEND
     */
    private String csrqend;

    /**
     * CYM
     */
    private String cym;

    /**
     * HJD_DZXZ
     */
    private String hjdDzxz;

    /**
     * MZDM
     */
    private String mzdm;

    /**
     * LXDH
     */
    private String lxdh;

    /**
     * RYQKDM
     */
    private String ryqkdm;

    /**
     * SFYLXFS
     */
    private String sfylxfs;

    /**
     * RYTC
     */
    private String rytc;

    /**
     * XT_TIMESTAMP
     */
    private String xtTimestamp;

    /**
     * RYSX
     */
    private String rysx;

    /**
     * DEP_ACTION_FLAG
     */
    private String depActionFlag;

    /**
     * DEP_ACTION_TIME
     */
    private String depActionTime;

    /**
     * DEP_FIRSTENTER_TIME
     */
    private String depFirstenterTime;

    /**
     * ID
     */
    private String id;

    /**
     * RYID
     */
    private String ryid;

    /**
     * SYRKID
     */
    private String syrkid;

    /**
     * SYRKYWLXDM
     */
    private String syrkywlxdm;

    /**
     * RZSJ
     */
    private String rzsj;

    /**
     * LKSJ
     */
    private String lksj;

    /**
     * GLDJDM
     */
    private String gldjdm;

    /**
     * CJRLBDM
     */
    private String cjrlbdm;

    /**
     * CJYJDM
     */
    private String cjyjdm;

    /**
     * JZD_XZQHDM
     */
    private String jzdXzqhdm;

    /**
     * JZD_SJDM
     */
    private String jzdSjdm;

    /**
     * JZD_FXJDM
     */
    private String jzdFxjdm;

    /**
     * JZD_PCSDM
     */
    private String jzdPcsdm;

    /**
     * JZD_SQDM
     */
    private String jzdSqdm;

    /**
     * ETL_OPER_TYPE
     */
    private String etlOperType;

    /**
     * ETL_TIMESTAMP
     */
    private String etlTimestamp;

    /**
     * ETL_UPDATE_TIME
     */
    private String etlUpdateTime;
}
