package com.mosty.base.model.entity.base;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/7/11
 * 布控车辆
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_user")
@ApiModel(value = "TbUser对象", description = "组织机构人员表")
public class TbUser implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "身份证")
    @TableId(value = "sfzh", type = IdType.ASSIGN_ID)
    private String sfzh;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "警号")
    private String jh;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "职务")
    private String zw;

    @ApiModelProperty(value = "电话号码")
    private String dhhm;

    @ApiModelProperty(value = "短号")
    private String dh;

}
