package com.mosty.base.model.entity.hczx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/13
 * 被盘查车辆标签对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_hc_bpccl_bq")
@ApiModel(value = "TbHcBpcclBq 对象", description = "被盘查车辆标签对象")
public class TbHcBpcclBq extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    @ApiModelProperty(value = "盘查业务ID", name = "pcywid")
    private String pcywid;

    @ApiModelProperty(value = "标签编号", name = "bqbh")
    private String bqbh;

    @ApiModelProperty(value = "标签名称", name = "bqmc")
    private String bqmc;

    @ApiModelProperty(value = "所属部门", name = "ssbm")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码", name = "ssbmdm")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局", name = "ssxgaj")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局代码", name = "ssxgajdm")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局", name = "sssgaj")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码", name = "sssgajdm")
    private String sssgajdm;
}
