package com.mosty.base.model.entity.hczx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_hc_dtgz")
@ApiModel(value = "TbHcDtgz 对象", description = "动态感知预警对象")
public class TbHcDtgz extends BaseEntity implements Serializable, Cloneable {


    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    private String id;

    /**
     * 设备编码
     */
    @ApiModelProperty("设备编码")
    private String sbbm;

    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    private String sbmc;

    /**
     * 关联库名
     */
    @ApiModelProperty("关联库名")
    private String glkm;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String xm;

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String sfzh;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String xb;

    /**
     * 性别代码
     */
    @ApiModelProperty("性别代码")
    private String xbDm;

    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    private String csrq;

    /**
     * 民族
     */
    @ApiModelProperty("民族")
    private String mz;

    /**
     * 民族代码
     */
    @ApiModelProperty("民族代码")
    private String mzDm;

    /**
     * 籍贯
     */
    @ApiModelProperty("籍贯")
    private String jg;

    /**
     * 籍贯代码
     */
    @ApiModelProperty("籍贯代码")
    private String jgDm;

    /**
     * 住址详址
     */
    @ApiModelProperty("住址详址")
    private String zzxz;

    /**
     * 关联库id
     */
    @ApiModelProperty("关联库id")
    private String glkid;

    /**
     * 标签
     */
    @ApiModelProperty("标签")
    private String bq;

    /**
     * 标签名称
     */
    @ApiModelProperty("标签名称")
    private String bqmc;

    /**
     * 标签详细数据
     */
    @ApiModelProperty("标签详细数据")
    private String bqxxsj;

    /**
     * 标签详细数据
     */
    @ApiModelProperty("小图")
    private String tp1;

    /**
     * 标签详细数据
     */
    @ApiModelProperty("大图")
    private String tp2;
    /**
     * 标签详细数据
     */
    @ApiModelProperty("相似度")
    private String xsd;

    @ApiModelProperty("设备来源 1、海康 2、海能达")
    private String sbly;

    @ApiModelProperty("接入类型")
    private String jrlx;

    @ApiModelProperty("关联id")
    private String glid;

}
