package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "巡防警力分组表", description = "")
@TableName("tb_jcgl_xfll_fz")
public class TbJcglXfllFz extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = -9134462848980897397L;


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "巡防警力标签关联表标识ID", name = "id")
    public Integer id;

    @ApiModelProperty(value = "警组名称", name = "id")
    public String jzmc;

    @ApiModelProperty(value = "警组人员", name = "jzry")
    public String jzry;

}