package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 训练记录
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_xljl")
@ApiModel(value = "TbJcglXljl 对象", description = "训练记录")
public class TbJcglXljl extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "警力表ID")
    private String xfllId;

    @ApiModelProperty(value = "训练日期")
    private String xlrq;

    @ApiModelProperty(value = "训练成绩（D_BZ_XLCJ）")
    private String xlcj;

    @ApiModelProperty(value = "训练时长")
    private String xlsc;

    @ApiModelProperty(value = "训练类型（D_BZ_XFXLLX）")
    private String xllx;


}
