package com.mosty.base.model.entity.jcgl;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel(value = "装备类别")
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@TableName("tb_jcgl_zbfl")
public class TbJcglZbfl extends BaseEntity implements Serializable, Cloneable {

  @ApiModelProperty(value = "id")
  private String id;

  @ApiModelProperty(value = "自身编码1")
  private String scode;

  @ApiModelProperty(value = "类型名称")
  private String sname;

  @ApiModelProperty(value = "父级编码")
  private String pcode;

  @ApiModelProperty(value = "父级名称")
  private String pname;

  @ApiModelProperty(value = "类型级别")
  private long jdcj;

  @ApiModelProperty(value = "当前页")
  @TableField(exist = false)
  private Integer pageNo;

  @ApiModelProperty(value = "每页条数")
  @TableField(exist = false)
  private Integer pageSize;

  @ApiModelProperty(value = "子节点信息")
  @TableField(exist = false)
  List<TbJcglZbfl> children;


  @ApiModelProperty(value = "所属单位")
  private String ssbmdm;
}
