package com.mosty.base.model.entity.lzother;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author
 * @description t_alarm_ztry
 * @date 2022-06-18
 */
@ApiModel(value = "拓尔思在逃人员信息表")
@Data
@Accessors(chain = true)
@TableName(value = "TRS_BIGDATA.T_ALARM_ZTRY")
public class TAlarmZtry implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    /**
     * ztrybh
     */
    @ApiModelProperty("ztrybh")
    private String ztrybh;

    /**
     * ajlbdm
     */
    @ApiModelProperty("ajlbdm")
    private String ajlbdm;

    /**
     * ajlbdm_code
     */
    @ApiModelProperty("ajlbdm_code")
    private String ajlbdmCode;

    /**
     * ajsl
     */
    @ApiModelProperty("ajsl")
    private String ajsl;

    /**
     * asjbh
     */
    @ApiModelProperty("asjbh")
    private String asjbh;

    /**
     * asjswry_rs
     */
    @ApiModelProperty("asjswry_rs")
    private String asjswryRs;

    /**
     * bdb_pdbz
     */
    @ApiModelProperty("bdb_pdbz")
    private String bdbPdbz;

    /**
     * bdb_pdbz_code
     */
    @ApiModelProperty("bdb_pdbz_code")
    private String bdbPdbzCode;

    /**
     * bik_jssj
     */
    @ApiModelProperty("bik_jssj")
    private String bikJssj;

    /**
     * bik_kssj
     */
    @ApiModelProperty("bik_kssj")
    private String bikKssj;

    /**
     * bmch
     */
    @ApiModelProperty("bmch")
    private String bmch;

    /**
     * bz
     */
    @ApiModelProperty("bz")
    private String bz;

    /**
     * csrq
     */
    @ApiModelProperty("csrq")
    private Date csrq;

    /**
     * csrq_nl
     */
    @ApiModelProperty("csrq_nl")
    private String csrqNl;

    /**
     * cxdw_gajgjgdm
     */
    @ApiModelProperty("cxdw_gajgjgdm")
    private String cxdwGajgjgdm;

    /**
     * cxdw_gajgjgdm_code
     */
    @ApiModelProperty("cxdw_gajgjgdm_code")
    private String cxdwGajgjgdmCode;

    /**
     * cxdw_gajgmc
     */
    @ApiModelProperty("cxdw_gajgmc")
    private String cxdwGajgmc;

    /**
     * cxsj
     */
    @ApiModelProperty("cxsj")
    private Date cxsj;

    /**
     * cxspdw_gajgjgdm_code
     */
    @ApiModelProperty("cxspdw_gajgjgdm_code")
    private String cxspdwGajgjgdmCode;

    /**
     * cxspsftg_pdbz_code
     */
    @ApiModelProperty("cxspsftg_pdbz_code")
    private String cxspsftgPdbzCode;

    /**
     * cym
     */
    @ApiModelProperty("cym")
    private String cym;

    /**
     * cyzjdm
     */
    @ApiModelProperty("cyzjdm")
    private String cyzjdm;

    /**
     * cyzjdm_code
     */
    @ApiModelProperty("cyzjdm_code")
    private String cyzjdmCode;

    /**
     * cyzj_zjhm_code
     */
    @ApiModelProperty("cyzj_zjhm_code")
    private String cyzjZjhmCode;

    /**
     * djspdw_gajgjgdm_code
     */
    @ApiModelProperty("djspdw_gajgjgdm_code")
    private String djspdwGajgjgdmCode;

    /**
     * djspsftg_pdbz_code
     */
    @ApiModelProperty("djspsftg_pdbz_code")
    private String djspsftgPdbzCode;

    /**
     * fzxyrdaztdm
     */
    @ApiModelProperty("fzxyrdaztdm")
    private String fzxyrdaztdm;

    /**
     * fzxyrdaztdm_code
     */
    @ApiModelProperty("fzxyrdaztdm_code")
    private String fzxyrdaztdmCode;

    /**
     * gjdm
     */
    @ApiModelProperty("gjdm")
    private String gjdm;

    /**
     * gjdm_code
     */
    @ApiModelProperty("gjdm_code")
    private String gjdmCode;

    /**
     * hjdz_dzmc
     */
    @ApiModelProperty("hjdz_dzmc")
    private String hjdzDzmc;

    /**
     * hjdz_xzqhdm
     */
    @ApiModelProperty("hjdz_xzqhdm")
    private String hjdzXzqhdm;

    /**
     * hjdz_xzqhdm_code
     */
    @ApiModelProperty("hjdz_xzqhdm_code")
    private String hjdzXzqhdmCode;

    /**
     * hstbdqrq
     */
    @ApiModelProperty("hstbdqrq")
    private String hstbdqrq;

    /**
     * hstbhm
     */
    @ApiModelProperty("hstbhm")
    private String hstbhm;

    /**
     * iszt
     */
    @ApiModelProperty("iszt")
    private Integer iszt;

    /**
     * jgssxdm
     */
    @ApiModelProperty("jgssxdm")
    private String jgssxdm;

    /**
     * jgssxdm_code
     */
    @ApiModelProperty("jgssxdm_code")
    private String jgssxdmCode;

    /**
     * jnwqxdm
     */
    @ApiModelProperty("jnwqxdm")
    private String jnwqxdm;

    /**
     * jnwqxdm_code
     */
    @ApiModelProperty("jnwqxdm_code")
    private String jnwqxdmCode;

    /**
     * jwzbxzdw_dwmc
     */
    @ApiModelProperty("jwzbxzdw_dwmc")
    private String jwzbxzdwDwmc;

    /**
     * jyaq
     */
    @ApiModelProperty("jyaq")
    private String jyaq;

    /**
     * ladwfldm
     */
    @ApiModelProperty("ladwfldm")
    private String ladwfldm;

    /**
     * ladwfldm_code
     */
    @ApiModelProperty("ladwfldm_code")
    private String ladwfldmCode;

    /**
     * ladw_gajgjgdm
     */
    @ApiModelProperty("ladw_gajgjgdm")
    private String ladwGajgjgdm;

    /**
     * ladw_gajgjgdm_code
     */
    @ApiModelProperty("ladw_gajgjgdm_code")
    private String ladwGajgjgdmCode;

    /**
     * ladw_gajgmc
     */
    @ApiModelProperty("ladw_gajgmc")
    private String ladwGajgmc;

    /**
     * larq
     */
    @ApiModelProperty("larq")
    private Date larq;

    /**
     * lastupdatetime
     */
    @ApiModelProperty("lastupdatetime")
    private Date lastupdatetime;

    /**
     * mzdm
     */
    @ApiModelProperty("mzdm")
    private String mzdm;

    /**
     * mzdm_code
     */
    @ApiModelProperty("mzdm_code")
    private String mzdmCode;

    /**
     * nlsx
     */
    @ApiModelProperty("nlsx")
    private String nlsx;

    /**
     * nlxx
     */
    @ApiModelProperty("nlxx")
    private String nlxx;

    /**
     * rycjqryj
     */
    @ApiModelProperty("rycjqryj")
    private String rycjqryj;

    /**
     * ryzt
     */
    @ApiModelProperty("ryzt")
    private String ryzt;

    /**
     * sfcxtjl_pdbz
     */
    @ApiModelProperty("sfcxtjl_pdbz")
    private String sfcxtjlPdbz;

    /**
     * sfcxtjl_pdbz_code
     */
    @ApiModelProperty("sfcxtjl_pdbz_code")
    private String sfcxtjlPdbzCode;

    /**
     * sgsx
     */
    @ApiModelProperty("sgsx")
    private String sgsx;

    /**
     * sgxx
     */
    @ApiModelProperty("sgxx")
    private String sgxx;

    /**
     * ssjzrmby
     */
    @ApiModelProperty("ssjzrmby")
    private String ssjzrmby;

    /**
     * swsj
     */
    @ApiModelProperty("swsj")
    private String swsj;

    /**
     * szzwbh
     */
    @ApiModelProperty("szzwbh")
    private String szzwbh;

    /**
     * tbbjms
     */
    @ApiModelProperty("tbbjms")
    private String tbbjms;

    /**
     * tjjbdm
     */
    @ApiModelProperty("tjjbdm")
    private String tjjbdm;

    /**
     * tjjbdm_code
     */
    @ApiModelProperty("tjjbdm_code")
    private String tjjbdmCode;

    /**
     * tjlbh
     */
    @ApiModelProperty("tjlbh")
    private String tjlbh;

    /**
     * tmtzms
     */
    @ApiModelProperty("tmtzms")
    private String tmtzms;

    /**
     * tpfx_jyqk
     */
    @ApiModelProperty("tpfx_jyqk")
    private String tpfxJyqk;

    /**
     * tpsj
     */
    @ApiModelProperty("tpsj")
    private Date tpsj;

    /**
     * virtual_zjhm
     */
    @ApiModelProperty("virtual_zjhm")
    private String virtualZjhm;

    /**
     * whjz
     */
    @ApiModelProperty("whjz")
    private String whjz;

    /**
     * xbdm
     */
    @ApiModelProperty("xbdm")
    private String xbdm;

    /**
     * xbdm_code
     */
    @ApiModelProperty("xbdm_code")
    private String xbdmCode;

    /**
     * xbz_py
     */
    @ApiModelProperty("xbz_py")
    private String xbzPy;

    /**
     * xm
     */
    @ApiModelProperty("xm")
    private String xm;

    /**
     * xxczdw_gajgjgdm_code
     */
    @ApiModelProperty("xxczdw_gajgjgdm_code")
    private String xxczdwGajgjgdmCode;

    /**
     * xxdjdw_gajgjgdm_code
     */
    @ApiModelProperty("xxdjdw_gajgjgdm_code")
    private String xxdjdwGajgjgdmCode;

    /**
     * xxdjry_gmsfhm
     */
    @ApiModelProperty("xxdjry_gmsfhm")
    private String xxdjryGmsfhm;

    /**
     * xxdjry_xm
     */
    @ApiModelProperty("xxdjry_xm")
    private String xxdjryXm;

    /**
     * xxrbksj_rqsj
     */
    @ApiModelProperty("xxrbksj_rqsj")
    private Date xxrbksjRqsj;

    /**
     * xxsc_pdbz_code
     */
    @ApiModelProperty("xxsc_pdbz_code")
    private String xxscPdbzCode;

    /**
     * xxzjbh
     */
    @ApiModelProperty("xxzjbh")
    private String xxzjbh;

    /**
     * xzdwfldm_code
     */
    @ApiModelProperty("xzdwfldm_code")
    private String xzdwfldmCode;

    /**
     * xzz_dzmc
     */
    @ApiModelProperty("xzz_dzmc")
    private String xzzDzmc;

    /**
     * xzz_xzqhdm
     */
    @ApiModelProperty("xzz_xzqhdm")
    private String xzzXzqhdm;

    /**
     * xzz_xzqhdm_code
     */
    @ApiModelProperty("xzz_xzqhdm_code")
    private String xzzXzqhdmCode;

    /**
     * yjbz
     */
    @ApiModelProperty("yjbz")
    private String yjbz;

    /**
     * yjbz_code
     */
    @ApiModelProperty("yjbz_code")
    private String yjbzCode;

    /**
     * yjmm
     */
    @ApiModelProperty("yjmm")
    private String yjmm;

    /**
     * ywzt
     */
    @ApiModelProperty("ywzt")
    private String ywzt;

    /**
     * ywzt_code
     */
    @ApiModelProperty("ywzt_code")
    private String ywztCode;

    /**
     * zatz_jyqk
     */
    @ApiModelProperty("zatz_jyqk")
    private String zatzJyqk;

    /**
     * zbdwfldm
     */
    @ApiModelProperty("zbdwfldm")
    private String zbdwfldm;

    /**
     * zbdwfldm_code
     */
    @ApiModelProperty("zbdwfldm_code")
    private String zbdwfldmCode;

    /**
     * zbdw_gajgjgdm
     */
    @ApiModelProperty("zbdw_gajgjgdm")
    private String zbdwGajgjgdm;

    /**
     * zbdw_gajgjgdm_code
     */
    @ApiModelProperty("zbdw_gajgjgdm_code")
    private String zbdwGajgjgdmCode;

    /**
     * zbdw_gajgmc
     */
    @ApiModelProperty("zbdw_gajgmc")
    private String zbdwGajgmc;

    /**
     * zbr_gmsfhm
     */
    @ApiModelProperty("zbr_gmsfhm")
    private String zbrGmsfhm;

    /**
     * zbr_lxdh
     */
    @ApiModelProperty("zbr_lxdh")
    private String zbrLxdh;

    /**
     * zbr_xm
     */
    @ApiModelProperty("zbr_xm")
    private String zbrXm;

    /**
     * zhdd_dzmc
     */
    @ApiModelProperty("zhdd_dzmc")
    private String zhddDzmc;

    /**
     * zhdd_xzqhdm
     */
    @ApiModelProperty("zhdd_xzqhdm")
    private String zhddXzqhdm;

    /**
     * zhdd_xzqhdm_code
     */
    @ApiModelProperty("zhdd_xzqhdm_code")
    private String zhddXzqhdmCode;

    /**
     * zhdwfldm
     */
    @ApiModelProperty("zhdwfldm")
    private String zhdwfldm;

    /**
     * zhdwfldm_code
     */
    @ApiModelProperty("zhdwfldm_code")
    private String zhdwfldmCode;

    /**
     * zhdw_gajgjgdm_code
     */
    @ApiModelProperty("zhdw_gajgjgdm_code")
    private String zhdwGajgjgdmCode;

    /**
     * zhdw_gajgmc
     */
    @ApiModelProperty("zhdw_gajgmc")
    private String zhdwGajgmc;

    /**
     * zhfsdm
     */
    @ApiModelProperty("zhfsdm")
    private String zhfsdm;

    /**
     * zhfsdm_code
     */
    @ApiModelProperty("zhfsdm_code")
    private String zhfsdmCode;

    /**
     * zhfzxyr_pdbz
     */
    @ApiModelProperty("zhfzxyr_pdbz")
    private String zhfzxyrPdbz;

    /**
     * zhfzxyr_pdbz_code
     */
    @ApiModelProperty("zhfzxyr_pdbz_code")
    private String zhfzxyrPdbzCode;

    /**
     * zhrq
     */
    @ApiModelProperty("zhrq")
    private Date zhrq;

    /**
     * zjcjrq
     */
    @ApiModelProperty("zjcjrq")
    private String zjcjrq;

    /**
     * zjhm
     */
    @ApiModelProperty("zjhm")
    private String zjhm;

    /**
     * ztjj
     */
    @ApiModelProperty("ztjj")
    private String ztjj;

    /**
     * ztjjdx_jyqk
     */
    @ApiModelProperty("ztjjdx_jyqk")
    private String ztjjdxJyqk;

    /**
     * ztrylxdm
     */
    @ApiModelProperty("ztrylxdm")
    private String ztrylxdm;

    /**
     * ztrylxdm_code
     */
    @ApiModelProperty("ztrylxdm_code")
    private String ztrylxdmCode;

    /**
     * ztry_dnabh
     */
    @ApiModelProperty("ztry_dnabh")
    private String ztryDnabh;

    /**
     * zylbdm
     */
    @ApiModelProperty("zylbdm")
    private String zylbdm;

    /**
     * zylbdm_code
     */
    @ApiModelProperty("zylbdm_code")
    private String zylbdmCode;

    /**
     * zy_pk
     */
    @ApiModelProperty("zy_pk")
    private String zyPk;

    public TAlarmZtry() {
    }
}
