package com.mosty.base.model.entity.lzother;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/12/15
 * 泸州警情类别类型表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("LZTXJ.V_JCXX")
@ApiModel(value = "VJcxx 对象", description = "泸州警情类别类型表")
public class VJcxx implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "编号")
    private String sId;

    @ApiModelProperty(value = "说明")
    private String sDescription;

    @ApiModelProperty("父级编号")
    private String sParent;

    @ApiModelProperty("排序")
    private String nSequence;

    @ApiModelProperty("")
    private String sScope;

    @ApiModelProperty("")
    private String nDisuse;

    @ApiModelProperty("")
    private String nNetbreak;
}
