package com.mosty.base.model.entity.lzother;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dw
 * @since 2022/11/20
 * 泸州海康感知源表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ZHJMXF_NEW.ZHJMXF_XFQW_XFQY_GZDW")
@ApiModel(value = "ZhjmxfXfqwXfqyGzdw 对象", description = "泸州海康感知源表")
public class ZhjmxfXfqwXfqyGzdw implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(value = "巡防区域ID")
    private String xfqyid;

    @ApiModelProperty(value = "设备对象标识")
    private String sbdxbs;

    @ApiModelProperty(value = "巡区对象标识")
    private String xqdxbs;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "厂商名称")
    private String csmc;

    @ApiModelProperty(value = "IP地址")
    private String ipdz;

    @ApiModelProperty(value = "IPV6地址")
    private String ipv6dz;

    @ApiModelProperty(value = "地球经度")
    private BigDecimal dqjd;

    @ApiModelProperty(value = "地球纬度")
    private BigDecimal dqwd;

    @ApiModelProperty(value = "行政区划代码")
    private String azddXzqhdm;

    @ApiModelProperty(value = "地址名称")
    private String azddDzmc;

    @ApiModelProperty(value = "公安机关机构代码")
    private String gajgjgdm;

    @ApiModelProperty(value = "公安机关名称")
    private String gajgmc;

    @ApiModelProperty(value = "感知设备类型代码")
    private String gzsblxdm;

    @ApiModelProperty(value = "采集数据类型代码")
    private String cjsjlxdm;

    @ApiModelProperty(value = "监视方向代码")
    private String jsfxdm;

    @ApiModelProperty(value = "监视区域说明")
    private String jsqysm;

    @ApiModelProperty(value = "摄像机位置类型代码")
    private String sxjwzlxdm;

    @ApiModelProperty(value = "摄像机用途代码")
    private String sxjytdm;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "采集时间")
    private String xtCjsj;

    @ApiModelProperty(value = "录入时间")
    private String xtLrsj;

    @ApiModelProperty(value = "录入人姓名")
    private String xtLrrxm;

    @ApiModelProperty(value = "录入人ID")
    private String xtLrrid;

    @ApiModelProperty(value = "录入人部门")
    private String xtLrrbm;

    @ApiModelProperty(value = "录入人部门ID")
    private String xtLrrbmid;

    @ApiModelProperty(value = "录入IP")
    private String xtLrip;

    @ApiModelProperty(value = "最后修改时间")
    private String xtZhxgsj;

    @ApiModelProperty(value = "最后修改人姓名")
    private String xtZhxgrxm;

    @ApiModelProperty(value = "最后修改人ID")
    private String xtZhxgrid;

    @ApiModelProperty(value = "最后修改人部门")
    private String xtZhxgrbm;

    @ApiModelProperty(value = "最后修改人部门ID")
    private String xtZhxgrbmid;

    @ApiModelProperty(value = "最后修改IP")
    private String xtZhxgip;

    @ApiModelProperty(value = "注销标志")
    private String xtZxbz;

    @ApiModelProperty(value = "注销原因")
    private String xtZxyy;

    @ApiModelProperty(value = "设备编号")
    private String sbbh;

    @ApiModelProperty(value = "所属分县局名称")
    private String ssfxjmc;

    @ApiModelProperty(value = "所属分县局代码")
    private String ssfxjdm;

    @ApiModelProperty(value = "所属地市州名称")
    private String ssdszmc;

    @ApiModelProperty(value = "所属地市州代码")
    private String ssdszdm;

    @ApiModelProperty(value = "所属省直辖市自治区特别行政区名称")
    private String ssstmc;

    @ApiModelProperty(value = "所属省直辖市自治区特别行政区代码")
    private String ssstdm;
}
