package com.mosty.base.model.entity.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022-11-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_xfbb_dk")
@ApiModel(value="TbQwxfbbDk 对象", description="巡防报备打卡对象")
public class TbQwxfbbDk extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "唯一标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "报备ID")
    private String bbid;

    @ApiModelProperty(value = "图片ID，多图片用逗号拼接")
    private String tpid;

    @ApiModelProperty(value = "打卡人姓名")
    private String dkrxm;

    @ApiModelProperty(value = "打卡人身份证号")
    private String dkrsfzh;

    @ApiModelProperty(value = "打卡人id")
    private String dkrid;
}
