package com.mosty.base.model.entity.xinzhi;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/11/07
 * 新稚警情出警单表
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("gx_cjdb")
@ApiModel(value = "GxCjdb 对象", description = "新稚警情出警单表")
public class GxCjdb implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "处警单编号")
    private String cjdbh;

    @ApiModelProperty(value = "接警单编号")
    private String jjdbh;

    @ApiModelProperty(value = "行政区划")
    private Integer xzqh;

    @ApiModelProperty(value = "处警单位代码")
    private String cjdwbm;

    @ApiModelProperty(value = "处警单位名称")
    private String cjdwmc;

    @ApiModelProperty(value = "处警员编号")
    private String cjybh;

    @ApiModelProperty(value = "处警员姓名")
    private String cjyxm;

    @ApiModelProperty(value = "处警时间")
    private Date cjsj;

    @ApiModelProperty(value = "")
    private String cjyj;

    @ApiModelProperty(value = "审计单位代码")
    private String sjdwdm;

    @ApiModelProperty(value = "审计员编号")
    private String sjybh;

    @ApiModelProperty(value = "审计员姓名")
    private String sjyxm;

    @ApiModelProperty(value = "")
    private String pdddsj;

    @ApiModelProperty(value = "")
    private String pdjssj;

    @ApiModelProperty(value = "")
    private String ddxcsj;

    @ApiModelProperty(value = "")
    private String cjwbsj;

    @ApiModelProperty(value = "处置类别编号")
    private String czlbbh;

    @ApiModelProperty(value = "处置类别名称")
    private String czlbmc;
}
