package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@TableName("tb_yjmx")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TbYjmx对象", description = "预警明细实体表")
public class TbYjmx extends BaseEntity implements Serializable, Cloneable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警表标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "模型名称", name = "mxmc")
    private String mxmc;

    @ApiModelProperty(value = "模型类型 01.街面违法犯罪预警 02.重点巡防区域预警", name = "mxlx")
    private String mxlx;

    @ApiModelProperty(value = "模型说明", name = "mxsm")
    private String mxsm;

    @ApiModelProperty(value = "运行周期", name = "yxzq")
    private Integer yxzq;

    @ApiModelProperty(value = "模型状态 01-使用中 02-已停止", name = "mxzt")
    private String mxzt;

    @ApiModelProperty(value = "运行次数", name = "yxcs")
    private Integer yxcs;

    @ApiModelProperty(value = "预警次数", name = "yjcs")
    private Integer yjcs;

    @ApiModelProperty(value = "所属辖区名称", name = "ssbm")
    private String ssbm;

    @ApiModelProperty(value = "所属辖区代码", name = "ssbmdm")
    private String ssbmdm;

    @ApiModelProperty(value = "所属辖区ID", name = "ssbmid")
    private String ssbmid;

}
