package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@TableName("tb_yjmx_csb")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TbYjmxCsb对象", description = "预警模式参数实体表")
public class TbYjmxCsb extends BaseEntity implements Serializable, Cloneable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警表标识ID", name = "id")
    private String id;

    @ApiModelProperty(value = "模型ID", name = "mxid")
    private String mxid;

    @ApiModelProperty(value = "参数代码", name = "csdm")
    private String csdm;

    @ApiModelProperty(value = "参数名称", name = "csmc")
    private String csmc;

    @ApiModelProperty(value = "参数值", name = "csz")
    private String csz;

    @ApiModelProperty(value = "参数类型 01-时间（分）02-次数 03-人数 04-距离（米）", name = "cslx")
    private String cslx;


}
