package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_dypz_rybq")
@ApiModel(value="TbYjxxDypzRybq对象", description="预警信息-订阅-人员标签表")
public class TbYjxxDypzRybq extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警信息人员类型订阅表标识ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "订阅ID")
    private String dyId;

    @ApiModelProperty(value = "订阅人ID")
    private String dyRyid;

    @ApiModelProperty(value = "--D_BZ_RYBQ（人员标签）订阅预警人员标签")
    private String dyRybq;

}
