package com.mosty.base.model.entity.yjzl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 预警信息-人员-标签表
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_yjxx_ry_bq")
@ApiModel(value="TbYjxxRyBq对象", description="预警信息-人员-标签表")
public class TbYjxxRyBq extends BaseEntity implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警人员标签表标识ID")
    private String id;

    @ApiModelProperty(value = "预警人员表标识ID")
    private String yjryId;

    @ApiModelProperty(value = "--D_BZ_RYBQ（人员标签）人员标签代码，字典")
    private String rybqdm;

    @ApiModelProperty(value = "人员标签")
    private String rybqmc;

}
