package com.mosty.base.model.entity.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/7/21
 * 要素-行事行政案件人员要素
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_ys_xsxzaj_wffzry")
@ApiModel(value = "TbYsXsxzajWffzry对象", description = "要素-行事行政案件人员要素")
public class TbYsXsxzajWffzry extends BaseEntity implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "案件ID")
    private String ajid;

    @ApiModelProperty(value = "--D_BB_AJLB（案件类别）案件分类：1-刑事案件，2-行政案件")
    private String ajfl;

    @ApiModelProperty(value = "--D_BZ_ZJLX（证件类型）证件种类代码")
    private String zjzl;

    @ApiModelProperty(value = "证件号码")
    private String zjhm;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "出生日期")
    private String csrq;

    @ApiModelProperty(value = "--D_BZ_MZ（民族）民族")
    private String mz;

    @ApiModelProperty(value = "籍贯")
    private String jg;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）户籍地行政区划")
    private String hjd_xzqh;

    @ApiModelProperty(value = "户籍地址")
    private String hjd_xz;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）居住地行政区划")
    private String jzd_xzqh;

    @ApiModelProperty(value = "居住地址")
    private String jzd_xz;

    @ApiModelProperty(value = "工作单位ID(实有单位id)")
    private String gzdwid;

    @ApiModelProperty(value = "工作单位")
    private String gzdw;

    @ApiModelProperty(value = "来源表名")
    private String lybm;

    @ApiModelProperty(value = "来源id")
    private String lyid;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
