package com.mosty.base.model.query.base;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-08-27
 * 我的消息列表查询dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "GetMyMessageQuery 对象", description = "我的消息列表查询dto")
public class GetMyMessageQuery extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

}
