package com.mosty.base.model.query.bkzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-07-13
 * 布控车辆查询 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbBkClSearchDto对象", description = "布控车辆查询 dto")
public class TbBkClSearchDto extends PageDomain implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "号牌类型")
    private String cplxdm;

    @ApiModelProperty(value = "号牌号码")
    private String cphm;

    @ApiModelProperty(value = "布控级别")
    private String bkjb;

    @ApiModelProperty(value = "审核状态")
    private String shzt;

    @ApiModelProperty(value = "布控状态")
    private String bkzt;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
