package com.mosty.base.model.query.hczx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author dw
 * @since 2022-09-13
 * 人员盘查DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcRyQuery 对象", description = "人员盘查DTO")
public class TbHcRyQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "查询开始日期 yyyy-mm-dd")
    private String kssj;

    @ApiModelProperty("查询结束日期 yyyy-mm-dd")
    private String jssj;
}
