package com.mosty.base.model.query.hczx;

import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-09-17
 * 人员特征标签查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcRytzbqQuery 对象", description = "人员特征标签查询DTO")
public class TbHcRytzbqQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "特征标签类别(D_BZ_RYTZBQLB)", name = "tzbqlb")
    private String tzbqlb;

    @ApiModelProperty(value = "特征标签代码", name = "tzbqdm")
    private String tzbqdm;

    @ApiModelProperty(value = "特征标签名称", name = "tzbqmc")
    private String tzbqmc;

    @ApiModelProperty(value = "tzsx", name = "tzsx")
    private String tzsx;
}
