package com.mosty.base.model.query.hczx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-08-02
 * 今日被盘查人员列表查询DTO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcTodayBpcryQuery对象", description = "今日被盘查人员列表查询DTO")
public class TbHcTodayBpcryQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "身份证")
    private String sfzh;

    @ApiModelProperty(value = "电话")
    private String lxdh;

    @ApiModelProperty(value = "部门代码")
    private String ssbmdm;

}
