package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 巡防区域-必巡线
 * </p>
 *
 * @author zengbo
 * @since 2022-07-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbJcglBxx对象", description="巡防区域-必巡线查询")
public class TbJcglBxxQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "所属巡防区域ID")
    private String ssXfqyId;

    @ApiModelProperty(value = "必巡线名称")
    private String bxxMc;

    @ApiModelProperty(value = "--D_BZ_BXDLX（必巡点类型）必巡点类型;1、一般区域，2、重点区域，3、核心区域，4、人员密集区域")
    private String bxxLx;

    @ApiModelProperty(value = "警组ID")
    private String jzId;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;
}
