package com.mosty.base.model.query.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author dw
 * @since 2022/9/28
 * 第三方表查询实体
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglDsfQuery 对象", description = "第三方表查询实体")
public class TbJcglDsfQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "系统名称")
    private String xtmc;

    @ApiModelProperty(value = "服务类型 01.任务服务 02.位置服务 03.")
    private String fwlx;

    @ApiModelProperty(value = "责任人姓名")
    private String zrrxm;

    @ApiModelProperty(value = "状态 01.审核中 02.审核通过 03.已停用 04.已过期")
    private String zt;
}
