package com.mosty.base.model.query.jcgl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 勤务警组
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_jz")
@ApiModel(value="TbJcglJz对象", description="勤务警组")
public class TbJcglJzQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "勤务警组名称")
    private String jzMc;

    @ApiModelProperty(value = "勤务警组分类;1.民警小组，2、辅警小组，3、民警+辅警小组")
    private String jzFl;

    @ApiModelProperty(value = "带队民警身份证号")
    private String ddMjsfzh;

    @ApiModelProperty(value = "带队民警姓名")
    private String ddMjxm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;
}
