package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/8、12
 * 巡防车辆-分页查询对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglXfclQuery对象", description = "巡防车辆-分页查询对象")
public class TbJcglXfclQuery extends BasePage implements Serializable, Cloneable {

    @ApiModelProperty(value = "车牌类型")
    private String cplx;

    @ApiModelProperty(value = "车牌号")
    private String cph;

    @ApiModelProperty(value = "车辆品牌")
    private String clpp;

    @ApiModelProperty(value = "车辆类型;数据字典")
    private String cllx;

    @ApiModelProperty(value = "车辆型号")
    private String clxh;

    @ApiModelProperty(value = "车载电台")
    private String czdt;

    @ApiModelProperty(value = "车载监控")
    private String czjk;

    @ApiModelProperty(name = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(name = "所属部门id")
    private String ssbmid;
}
