package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 巡防车辆设备搜索类
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbJcglXfclSbQuery 对象", description = "巡防车辆设备搜索类")
public class TbJcglXfclSbQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备唯一编号")
    private String sbbh;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "设备分类")
    private String sbFl;

    @ApiModelProperty(value = "设备品牌")
    private String sbPp;

    @ApiModelProperty(value = "--D_BZ_AZWZ（安装位置）安装位置;1车辆内部，2车辆前部，3车辆后部，4车辆顶部（数据字典）")
    private String azwz;

    @ApiModelProperty(value = "设备IPv4")
    private String sbIpv4;

    @ApiModelProperty(value = "设备IPv6")
    private String sbIpv6;

    @ApiModelProperty(value = "设备图片")
    private String sbTp;

    @ApiModelProperty(value = "是否支持视频 0不支持 1支持")
    private String sfsp;

    @ApiModelProperty(value = "车辆id")
    private String cId;
}
