package com.mosty.base.model.query.jcgl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 巡防网格
 * </p>
 *
 * @author zengbo
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_xfwg")
@ApiModel(value="TbJcglXfwg对象", description="巡防网格")
public class TbJcglXfwgQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "巡防网格名称")
    private String wgMc;

    @ApiModelProperty(value = "巡防网格编号")
    private String wgBh;

    @ApiModelProperty(value = "巡防网格类型")
    private String wglx;

    @ApiModelProperty(value = "所属巡防区域ID")
    private String ssXfqyId;

    @ApiModelProperty(value = "多边形数据存储（JSON）")
    private String pgis;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）行政区划代码")
    private String xzqhdm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门id")
    private String ssbmid;

}
