package com.mosty.base.model.query.jcgl;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 基础管理-专家库
 * </p>
 *
 * @author zengbo
 * @since 2022-07-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_jcgl_zjk")
@ApiModel(value="TbJcglZjk对象", description="基础管理-专家库")
public class TbJcglZjkQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "--D_ZDY_ZJGL专家来源（1 内部 2 外部）")
    private String zjly;

    @ApiModelProperty(value = "关联人员ID")
    private String glryId;

    @ApiModelProperty(value = "专家姓名")
    private String zjxm;

    @ApiModelProperty(value = "专家身份证号码")
    private String zjsfzh;

    @ApiModelProperty(value = "管理部门代码")
    private String glbmdm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门ID")
    private String ssbmid;

}
