package com.mosty.base.model.query.jcgl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022-08-25
 * 日志记录查询 dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbSjRzQuery 对象", description = "日志记录查询 dto")
public class TbSjRzQuery extends BasePage implements Serializable {

    private static final long serialVersionUID = 7390057038182466339L;

    @ApiModelProperty(value = "事件ID")
    private String sjId;

    @ApiModelProperty(value = "日志内容")
    private String rzms;
}
