package com.mosty.base.model.query.qwzx;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 部门每日警力报备-警力明细
 * </p>
 *
 * @author kevin
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_qw_bmjlbb_jlmx")
@ApiModel(value="TbQwBmjlbbJlmx对象", description="部门每日警力报备-警力明细")
public class TbQwBmjlbbJlmxQuery extends BasePage implements Serializable,Cloneable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "警力报备ID")
    private String jlbbId;

    @ApiModelProperty(value = "警力ID")
    private String jlId;

    @ApiModelProperty(value = "警力类型（01 民警  02 辅警）")
    private String jllx;

}
