package com.mosty.base.model.query.qwzx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import com.mosty.base.model.BasePage;
import com.mosty.base.model.entity.spxl.TbSpxlSpxlfaSxtz;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author dw
 * @since 2022/9/17
 * 世乒赛参赛队伍查询DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbQwSpsCsdwQuery 对象", description = "世乒赛参赛队伍查询DTO")
public class TbQwSpsCsdwQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "参赛队伍名称")
    private String cddwmc;

    @ApiModelProperty(value = "所属小组")
    private String ssxz;

    @ApiModelProperty(value = "活动类型：1-离开住地，2-到达场馆，3-离开场馆，4-到达住地,多个查询用‘,’拼接")
    private String dqwzs;

}
