package com.mosty.base.model.query.qwzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 值班表
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbQwZb对象", description="值班表")
public class TbQwZbQuery extends BasePage implements Serializable, Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "值班开始日期")
    private String startTime;

    @ApiModelProperty(value = "值班结束日期")
    private String endTime;

    @ApiModelProperty(value = "值班领导")
    private String zbld;

    @ApiModelProperty(value = "值班民警")
    private String zbmjxm;

    @ApiModelProperty(value = "值班状态（01 未值班、02值班中、03 值班完成）")
    private String zbzt;

    @ApiModelProperty(value = "是否确认（0 未确认 1 确认）")
    private String sfqr;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局代码")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局代码")
    private String sssgajdm;
}
