package com.mosty.base.model.query.rzzx;

import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/8/4
 * 系统反馈日志分页查询dto
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbRzXtfkQueryDto对象", description = "系统反馈日志分页查询dto")
public class TbRzXtfkQueryDto extends PageDomain implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "反馈类型1-系统问题，2-功能改进建议，3-新需求")
    private String fklx;

    @ApiModelProperty(value = "反馈系统")
    private String fkxt;

    @ApiModelProperty(value = "反馈开始时间")
    private String startTime;

    @ApiModelProperty(value = "反馈结束时间")
    private String endTime;

    @ApiModelProperty(value = "反馈内容")
    private String fknr;

    @ApiModelProperty(value = "反馈人姓名")
    private String fkrxm;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
