package com.mosty.base.model.query.sjzx;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/7/20
 * 要素中新查询DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "XftjJwzQuery 对象", description = "要素中新查询DTO")
public class XftjJwzQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "警务站类型")
    private String jwzlx;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;
}
