package com.mosty.base.model.query.yjzl;

import com.mosty.base.model.BasePage;
import com.mosty.common.base.domain.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYjmxQuery对象", description = "预警模型查询接口--分页")
public class TbYjmxQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "模型名称")
    private String mxmc;

    @ApiModelProperty(value = "模型ID；01.街面违法犯罪预警 02.重点巡防区域预警")
    private String mxlx;

    @ApiModelProperty(value = "所属辖区名称")
    private String ssbm;

    @ApiModelProperty(value = "所属辖区代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属辖区ID")
    private String ssbmid;

    @ApiModelProperty(value = "模型状态 01-使用中 02-已停止")
    private String mxzt;
}
