package com.mosty.base.model.query.yjzl;

import com.mosty.base.model.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/8/8
 * 大屏预警轨迹查询接口--分页
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYjxxYjgjQuery对象", description = "大屏预警轨迹查询接口--分页")
public class TbYjxxYjgjQuery extends BasePage implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预警人员身份证号码（人员预警必填）", name = "yjRysfzh")
    private String yjRysfzh;

    @ApiModelProperty(value = "--D_BZ_HPZL（号牌类型）车牌类型", name = "yjHplx")
    private String yjHplx;

    @ApiModelProperty(value = "预警车辆车牌号;车辆预警必填", name = "yjClcph")
    private String yjClcph;

    @ApiModelProperty(value = "所属单位")
    private String ssbmdm;
}
