package com.mosty.base.model.vo.hczx;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@ApiModel(value = "依图人脸返回值")
@Accessors(chain = true)
public class RepositoryVo {

    public Integer rtn;
    public String message;
    public String retrieval_query_id;
    public List<results> results;
    public Integer total;

    @Data
   public static class results {
        private String picture_uri;
        private Integer gender;
        private Integer offset;
        private Integer nation;
        private boolean is_writable;
        private face_rect face_rect;
        private Integer born_year;
        private String face_image_id;
        private Integer similarity;
        private String name;
        private String face_image_uri;
        private String repository_id;
        private String person_id;
        private String timestamp;

        @Data
        private static class face_rect {
            private String h;
            private String w;
            private String x;
            private String y;
        }
    }
}
