package com.mosty.base.model.vo.hczx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * @author dw
 * @since 2022/9/13
 * 被盘查人员物品返回对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcBpcryWpVo 对象", description = "被盘查人员物品返回对象")
public class TbHcBpcryWpVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    @ApiModelProperty(value = "盘查业务ID", name = "pcywid")
    private String pcywid;

    @ApiModelProperty(value = "--D_BZ_WPLX（物品类型）物品类型", name = "wplx")
    private String wplx;

    @ApiModelProperty(value = "物品数量", name = "wpsl")
    private String wpsl;

    @ApiModelProperty(value = "物品描述", name = "wpms")
    private String wpms;

    @ApiModelProperty(value = "物品图片ID集合", name = "wpTpIdList")
    private List<String> wpTpIdList;
}
