package com.mosty.base.model.vo.hczx;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbHcSydjVo 对象", description = "涉疫登记返回的数据信息")
public class TbHcSydjVo implements Serializable, Cloneable  {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    @ApiModelProperty(value = "盘查id", name = "pcid")
    private String pcid;

    @ApiModelProperty(value = "人员姓名", name = "ryxm")
    private String ryxm;

    @ApiModelProperty(value = "身份证号", name = "sfzh")
    private String sfzh;

    @ApiModelProperty(value = "天府健康码状态", name = "jkmzt")
    private String jkmzt;

    @ApiModelProperty(value = "疫苗接种情况", name = "ymjzqk")
    private String ymjzqk;

    @ApiModelProperty(value = "通讯行程卡是否带*", name = "txxck")
    private String txxck;

    @ApiModelProperty(value = "14天内到达或途径城市", name = "ddhtjcs")
    private String ddhtjcs;

    @ApiModelProperty(value = "来自哪里", name = "lz")
    private String lz;

    @ApiModelProperty(value = "去往哪里", name = "qw")
    private String qw;

    @ApiModelProperty(value = "图片Id", name = "tpid")
    private String tpid;

    @ApiModelProperty(value = "添加时间", name = "tjsj")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date tjsj;
}
