package com.mosty.base.model.vo.hczx;


import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/9/16
 * 盘查图片对象
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_hc_tp")
@ApiModel(value = "TbHcTpVo 对象", description = "盘查图片对象")
public class TbHcTpVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键ID", name = "id")
    private String id;

    @ApiModelProperty(value = "来源表名", name = "lybm")
    private String lybm;

    @ApiModelProperty(value = "来源ID", name = "lyid")
    private String lyid;

    @ApiModelProperty(value = "附件ID", name = "fjid")
    private String fjid;

    @ApiModelProperty(value = "排序", name = "orderno")
    private Integer orderno;
}
