package com.mosty.base.model.vo.jcgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ApiModel(value = "第三方")
public class TbJcglDsfVo implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "系统名称")
    private String xtmc;

    @ApiModelProperty(value = "服务类型 01.任务服务 02.位置服务 03.")
    private String fwlx;

    @ApiModelProperty(value = "责任人姓名")
    private String zrrxm;

    @ApiModelProperty(value = "责任人联系电话")
    private String zrrlxdh;

    @ApiModelProperty(value = "请求的唯一码")
    private String code;

    @ApiModelProperty(value = "过期时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date gqsj;

    @ApiModelProperty(value = "状态 01.审核中 02.使用中 03.审核不通过 04.已停用 05.已过期")
    private String zt;
}
