package com.mosty.base.model.vo.yjzl;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TbYjmxVo 对象", description="预警模型参数表")
public class TbYjmxCsbVo implements Serializable,Cloneable{

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "预警表标识ID")
    private String id;

    @ApiModelProperty(value = "模型ID")
    private String mxid;

    @ApiModelProperty(value = "参数代码")
    private String csdm;

    @ApiModelProperty(value = "参数名称")
    private String csmc;

    @ApiModelProperty(value = "参数值")
    private String csz;

    @ApiModelProperty(value = "参数类型 01-时间（分）02-次数 03-人数 04-距离（米）")
    private String cslx;

}
