package com.mosty.base.model.vo.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.mosty.base.model.entity.yszx.TbYsGajgGlbm;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author dw
 * @since 2022/7/23
 * 要素案件-公安机关返回vo
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsGajgGlbmVo 对象", description = "要素案件-公安机关返回vo")
public class TbYsGajgGlbmVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "要素名称")
    private String gajgmc;

    @ApiModelProperty(value = "要素简称")
    private String gajgjc;

    @ApiModelProperty(value = "经度")
    private BigDecimal jd;

    @ApiModelProperty(value = "维度")
    private BigDecimal wd;

    @ApiModelProperty(value = "--D_BZ_XZQHDM（行政区划代码）要素位置行政区划代码")
    private String wzXzqh;

    @ApiModelProperty(value = "位置（行政区划名称+地址详址）")
    private String wzXz;

    @ApiModelProperty(value = "位置别称")
    private String wzBc;

    @ApiModelProperty(value = "所属派出所")
    private String ssbm;

    @ApiModelProperty(value = "所属派出所代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属派出所id")
    private String ssbmid;

    @ApiModelProperty(value = "距离")
    private BigDecimal distance;

    @ApiModelProperty(value = "关联部门所属部门代码List")
    private List<String> glbmSsbmdmList;

    @ApiModelProperty(value = "备注 （现主要用于巡防区 判断特警）")
    private String bz;
}
