package com.mosty.base.model.vo.yszx;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.base.model.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/11/28
 * 要素-人员标签要素VO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsRyBq 对象", description = "要素-人员标签要素VO")
public class TbYsRyBqVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "人员id")
    private String ryid;

    @ApiModelProperty(value = "--D_BZ_ZJLX（证件类型）证件种类代码")
    private String zjzl;

    @ApiModelProperty(value = "证件号码")
    private String zjhm;

    @ApiModelProperty(value = "--D_BZ_RYBQ（人员标签）标签代码")
    private String bqdm;

    @ApiModelProperty(value = "标签名称")
    private String bqmc;

    @ApiModelProperty(value = "标签日期")
    private String bqrq;

    @ApiModelProperty(value = "--D_BB_AJLB（案件类别）标签案件类别")
    private String bqajlx;

    @ApiModelProperty(value = "标签来源说明")
    private String bqlysm;
}
