package com.mosty.base.model.vo.yszx;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022/12/01
 * 要素-人员电话要素修改DTO
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "TbYsRyDhUpdateDto 对象", description = "要素-人员电话要素修改DTO")
public class TbYsRyDhUpdateDto implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty("电话和imsi集合")
    private List<Map<String, String>> list;
}
