package com.mosty.base.utils;

import org.springframework.web.servlet.mvc.method.annotation.SseEmitter;

import java.math.BigDecimal;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author zengbo
 * @title: Constent
 * @projectName mosty-dyga-cloud
 * @date 2022/7/5 18:16
 */
public class Constant {

    //警力类型-民警
    public static String JLLX_MJ = "01";

    //警力类型-民警
    public static String JLLX_FJ = "02";

    //部门等级-省厅
    public static String BMDJ_ST = "10";

    //部门等级-省厅部门
    public static String BMDJ_STBM = "11";

    //部门等级-市州局
    public static String BMDJ_SZJ = "20";

    //部门等级-市州局部门
    public static String BMDJ_SZJBM = "21";

    //部门等级-区市县局
    public static String BMDJ_QSXJ = "30";

    //部门等级-区市县部门
    public static String BMDJ_QSXBM = "31";

    //部门等级-科所队
    public static String BMDJ_KSD = "40";

    // 经度
    public static BigDecimal JD = new BigDecimal("104.41234588623047");

    // 纬度
    public static BigDecimal WD = new BigDecimal("31.127893924713135");

    // 巡逻盘查接口地址
    public static String XLPC_URL = "";

    //人员位置redis-key
    public static final String WZ_RYWZ = "rywz:";

    //巡防位置redis-key
    public static final String WZ_XFWZ = "xfwz:";

    // 设备位置redis-key
    public static final String WZ_SBWZ = "sbwz:";

    // 海康接口地址
    public static String HK_URL = " ";

    // 新稚警情接口
    public static String XZ_URL = "";

    //泸州预警扒窃人员当天数据
    public static final String LZYJ_DATA_PQRY = "lzyj_data_pqry";

    //泸州预警涉稳人员当天数据
    public static final String LZYJ_DATA_SWRY = "lzyj_data_swry";

    //泸州预警旅店、网吧、依图人脸（人像）感知的前科，
    // 涉赌人员（人员细类代码为03,04,05开头的）
    public static final String LZYJ_DATA_QKSD = "lzyj_data_qksd";

    // 部门警力报备展示数据
    public static final String BMJLBB = "bmjlbb:";


    public static final String SSDSZ = "5107";

    // 警情-key
    public static final String JQ = "jq_jjdbh:";


    public static final Map<String, SseEmitter> HcSse = new ConcurrentHashMap<>();

    /**
     * 视觉计算 设备编码开头13位 id
     */
    public static final String SJJS_SB_ID = "5107000000502";

    /**
     * 视觉计算APPID
     */
    public static final String SJJS_APPID = "1549333825150831001";

    //犯罪预测List
    public static final String FZYC_LIST = "FZYC_LIST";

    //犯罪预测当前班次
    public static final String FZYC_BC = "FZYC_BC";

    //设备
    public static final String PGIS_SB = "PGIS_SB:";

}
