package com.mosty.base.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.base.SysMessageInfo;
import com.mosty.base.model.query.base.GetMyMessageQuery;
import com.mosty.base.model.dto.base.SysMessageInfoInsertDto;
import io.swagger.annotations.ApiOperation;

/**
 * @author dw
 * @since 2022/8/26
 **/
public interface SysMessageService {

    @ApiOperation("发送消息")
    Integer sendMsg(SysMessageInfoInsertDto dto);

    @ApiOperation("获取我的消息列表")
    IPage<SysMessageInfo> getPageList(GetMyMessageQuery dto);
}
