package com.mosty.bkzx.sjjs.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class ResponseStatusList {


    @JsonProperty("ResponseStatusListObject")
    private ResponseStatusListObjectDTO responseStatusListObject;

    @NoArgsConstructor
    @Data
    public static class ResponseStatusListObjectDTO {
        @JsonProperty("ResponseStatusObject")
        private List<ResponseStatusObjectDTO> responseStatusObject;

        @NoArgsConstructor
        @Data
        public static class ResponseStatusObjectDTO {
            @JsonProperty("Id")
            private String id;
            @JsonProperty("LocalTime")
            private String localTime;
            @JsonProperty("RequestURL")
            private String requestURL;
            @JsonProperty("StatusCode")
            private String statusCode;
            @JsonProperty("StatusString")
            private String statusString;
        }
    }

}
