package com.mosty.bkzx.sjjs.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FacePicture implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    /**
     * 图片类型（0、base64，1、url）
     */
    private int type;

    /**
     *人俩图片base64（type为0时必填）
     */
    private String data;


    /**
     *人俩图片url（type为1时必填）
     */
    private String url;

};