package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglJzCl;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 勤务警组车辆关联表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
@Mapper
public interface TbJcglJzClMapper extends BaseMapper<TbJcglJzCl> {

    @ApiOperation("批量删除")
    void deleteBatch(@Param("list") List<String> list);

    @ApiOperation("根据警组ID删除")
    void deleteByQwjzId(@Param("qwjzId") String qwjzId);

}
