package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.jcgl.TbJcglJz;
import com.mosty.base.model.query.jcgl.TbJcglJzQuery;
import com.mosty.base.model.vo.jcgl.TbJcglJzAllVo;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 勤务警组 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
@Mapper
public interface TbJcglJzMapper extends BaseMapper<TbJcglJz> {

    @ApiOperation("警组查询")
    List<TbJcglJz> queryList(Map<String, Object> map);

    @ApiOperation("批量删除")
    int deleteBatch(@Param("list") List<String> list);

    @ApiOperation("id查询")
    TbJcglJzAllVo queryById(@Param("id") String id);

    @ApiOperation("查询数量")
    int queryCount(Map<String, Object> map);
}
