package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglJzRy;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 勤务警组人员 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-30
 */
public interface TbJcglJzRyMapper extends BaseMapper<TbJcglJzRy> {

    /**
     * 批量删除
     * @param list
     */
    void deleteBatch(@Param("list") List<String> list);

    /**
     * 根据警组ID删除
     * @param qwjzId
     */
    void deleteByQwjzId(@Param("qwjzId") String qwjzId);

}
