package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.dto.jcgl.TbJcglKhbmEditPzDto;
import com.mosty.base.model.entity.jcgl.TbJcglKhbm;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.simpleframework.xml.Path;
import org.springframework.stereotype.Service;

import java.util.List;

@Mapper
public interface TbJcglKhbmMapper extends BaseMapper<TbJcglKhbm> {

    // 删除绩效考核部门
    void delKhbm(@Param("list") List<String> ids);

    // 查询所有的已选中的部门
    List<String> getAllKhbm(@Param("ssbmdm") String ssbmdm);

    // 修改考核部门配置
    void editKhbm(@Param("dto") TbJcglKhbmEditPzDto dto);
}
