package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglXlfaXldw;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author dw
 * @since 2022/8/11
 **/
@Mapper
public interface TbJcglXlfaXldwMapper extends BaseMapper<TbJcglXlfaXldw> {

    @ApiOperation("新增")
    void insertEntity(TbJcglXlfaXldw item);

    @ApiOperation("通过方案ID删除数据")
    void deleteEntity(@Param("faid") String faid);

    @ApiOperation("根据ID查询方案点位")
    List<TbJcglXlfaXldw> getListByFaId(@Param("faid") String faid);
}
