package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.afjcsj.VwSydwCyryGx;
import com.mosty.base.model.entity.afjcsj.VwSyrkJzgjGx;
import com.mosty.base.model.query.afjcsj.VwSydwCyryPageQuery;
import com.mosty.base.model.query.afjcsj.VwSydwJbxxGxQuery;
import com.mosty.base.model.entity.afjcsj.VwSydwJbxxGx;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022-10-27
 */
public interface VwSydwJbxxGxService{

    @ApiOperation("查询实有单位列表")
    IPage<VwSydwJbxxGx> selectList(VwSydwJbxxGxQuery dto);

    @ApiOperation("统计实有单位")
    List<Map<String,Object>> getStatistics();

    @ApiOperation("查询实有单位详情")
    VwSydwJbxxGx getSydwInfo(String id);

    @ApiOperation("查询实有单位从业人员列表")
    IPage<VwSydwCyryGx> getSydwCyryPage(VwSydwCyryPageQuery dto);
}
