package com.mosty.qwzx.mapper;

import com.mosty.base.model.entity.qwzx.TbQwCl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 巡防排班或报备或值班-车辆表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Mapper
public interface TbQwClMapper extends BaseMapper<TbQwCl> {

    /**
     * 删除车辆
     * @param list
     */
    int deleteCl(@Param("list") List<String> list);

    /**
     * 根据业务ID删除
     * @param ywid
     */
    void deleteByYwid(@Param("ywid") String ywid);

    /**
     * 根据 业务ID查询
     * @param ywidList
     * @return
     */
    List<TbQwCl> queryListByYwid(@Param("list") List<String> ywidList);

}
