package com.mosty.qwzx.mapper;

import com.mosty.base.model.entity.qwzx.TbQwQwdj;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 勤务等级表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Mapper
public interface TbQwQwdjMapper extends BaseMapper<TbQwQwdj> {

    @ApiOperation("删除勤务等级")
    int deleteQwdj(@Param("list") List<String> list);

    @ApiOperation("查询当前等级")
    TbQwQwdj queryCurrentQwdj(@Param("datetime") String datetime);

}
