package com.mosty.qwzx.mapper;

import com.mosty.base.model.entity.qwzx.TbQwQxj;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apiguardian.api.API;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 请休假 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Mapper
public interface TbQwQxjMapper extends BaseMapper<TbQwQxj> {

    @ApiOperation("删除通讯装备")
    int deleteQxj(@Param("list") List<String> list);

    @ApiOperation("")
    List<Map<String,Integer>>  selectHolidayCount(@Param("sql") String sql);
}
