package com.mosty.qwzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.qwzx.TbQwXfbb;
import com.mosty.base.model.entity.qwzx.TbQwZbbb;
import com.mosty.base.model.query.qwzx.TbQwZbbbQuery;
import com.mosty.base.model.vo.qwzx.TbQwZbbbVo;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TbQwZbbbMapper extends BaseMapper<TbQwZbbb> {

    @ApiOperation("根据ID删除值班")
    int deleteZb(@Param("id") List<String> id);

    @ApiOperation("值班查询")
    IPage<TbQwZbbbVo> queryList(@Param("page") IPage<TbQwZbbbVo> page, @Param("params") TbQwZbbbQuery zb);

    @ApiOperation("id查询")
    TbQwZbbbVo queryById(@Param("id") String id);

    @ApiOperation("APP获取我当前的报备信息")
    TbQwZbbb getMyBbInfoToday(String valueOf);

    @ApiOperation("查询我的报备信息")
    List<TbQwZbbb> getMybbTodayByTime(@Param("userId") String userId, @Param("time") String time);
}
