package com.mosty.qwzx.mapper;

import com.mosty.base.model.entity.qwzx.TbQwZnzb;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 巡防排班或报备或值班-通讯装备表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Mapper
public interface TbQwZnzbMapper extends BaseMapper<TbQwZnzb> {

    /**
     * 删除通讯装备
     * @param list
     */
    int deleteZnzb(@Param("list") List<String> list);

    /**
     * 根据业务ID删除
     * @param ywid
     */
    void deleteByYwid(@Param("ywid") String ywid);

    /**
     * 根据 业务ID查询
     * @param ywidList
     * @return
     */
    List<TbQwZnzb> queryListByYwid(@Param("list") List<String> ywidList);

}
