package com.mosty.qwzx.service;

import com.mosty.base.model.dto.qwzx.TbQwSpsHdgjChangeDto;
import com.mosty.base.model.query.qwzx.TbQwSpsCsdwQuery;
import com.mosty.base.model.vo.qwzx.TbQwSpsCsdwVo;
import io.swagger.annotations.ApiOperation;
import org.springframework.stereotype.Service;

/**
 * @author dw
 * @since 2022/9/17
 **/
public interface TbQwSpsCsdwService {

    @ApiOperation("根据条件查询所有的参赛队伍")
    Object getList(TbQwSpsCsdwQuery dto);

    @ApiOperation("查询某一个队伍的当前的状态")
    TbQwSpsCsdwVo getCsdwInfo(String id);

    @ApiOperation("参赛队伍活动轨迹变更")
    void changeHdgj(TbQwSpsHdgjChangeDto dto);
}
