package com.mosty.rwzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.rwzx.TbRwTaskUser;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TbRwTaskUserMapper extends BaseMapper<TbRwTaskUser> {

    @ApiOperation("查询我的任务")
    TbRwTaskUser selectByRwId(@Param("sfzh") String idEntityCard,
                              @Param("rwid") String id,
                              @Param("ssbmid") String ssbmid);

    @ApiOperation("删除")
    void deleteEntity(String id);
}
