package com.mosty.rzzx;

import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableTimeConsume
//@ComponentScan("com.mosty")
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@MapperScan("com.mosty.rzzx.mapper")
@EnableScheduling
@EnableDiscoveryClient
@SpringBootApplication
public class MostyRzzxApplication {

	public static void main(String[] args) {

		SpringApplication.run(MostyRzzxApplication.class, args);
	}

}
