package com.mosty.sjzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.sjzx.TbSjSpbf;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 事件-视频播放表(TbSjSpbf)表数据库访问层
 *
 * @author zhangHaiJun
 * @since 2022-07-20 09:45:23
 */
@Mapper
public interface TbSjSpbfMapper extends BaseMapper<TbSjSpbf> {

    @ApiOperation("查询所有数据")
    List<TbSjSpbf> queryAll(@Param("useSql") String useSql);

    @ApiOperation("通过ID查询单条数据")
    TbSjSpbf queryById(String id);

    @ApiOperation("通过主键删除数据")
    int deleteById(String id);

}


