package com.mosty.wzzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.dto.wzzx.XfbbUpdateDto;
import com.mosty.base.model.entity.qwzx.TbQwXfbb;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
/**
 * <p>
 * 巡防报备表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Mapper
public interface TbQwXfbbMapper extends BaseMapper<TbQwXfbb> {

    @ApiOperation("id查询")
    TbQwXfbb queryById(@Param("id") String id);

    @ApiOperation("修改巡防报备")
    Integer updateXfbb(XfbbUpdateDto xfbbUpdateDto);

    @ApiOperation("查询是否报备")
    int getsfbb(String id);
}
