package com.mosty.wzzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.dto.wzzx.SjCyjlUpdateDto;
import com.mosty.base.model.entity.sjzx.TbSjCyjl;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 事件参与警力 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-06-27
 */
@Mapper
public interface TbSjCyjlMapper extends BaseMapper<TbSjCyjl> {

    @ApiOperation("id查询")
    TbSjCyjl queryBySfzh(@Param("sfzh") String sfzh);

    @ApiOperation("修改参与警力坐标")
    Integer updateZb(SjCyjlUpdateDto sjCyjlUpdateDto);

}
