package com.mosty.wzzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.wzzx.TbWzSblswz;
import com.mosty.base.model.query.wzzx.TbWzSbLswzSearchDto;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 位置-设备历史位置表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-08-29
 */
@Mapper
public interface TbWzSblswzMapper extends BaseMapper<TbWzSblswz> {

    @ApiOperation("设备历史位置")
    int insertEntity(TbWzSblswz tbWzSblswz);

    @ApiOperation("去重设备数量统计")
   int getSblswzCount(@Param("kssj") String kssj,
                                       @Param("jssj") String jssj,
                                       @Param("useSql") String useSql);

    @ApiOperation("设备历史位置")
    List<TbWzSblswz> selectSbLswz(TbWzSbLswzSearchDto dto);


}
