package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxClBq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预警信息-车辆-标签表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-21
 */
@Mapper
public interface TbYjxxClBqMapper extends BaseMapper<TbYjxxClBq> {

    /**
     * 根据ID删除
     * @param list
     */
    int deleteByIds(@Param("list") List<String> list);


    /**
     * 根据预警ID删除
     * @param yjid
     */
    int deleteByYjId(@Param("yjid") String yjid);

    /**
     * 根据预警ID查询
     * @param list
     * @return
     */
    List<TbYjxxClBq> queryByYjid(@Param("list") List<String> list);


}
