package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxCl;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预警信息-车辆表 Mapper 接口
 * </p>
 *
 * @author dw
 * @since 2022-10-21
 */
@Mapper
public interface TbYjxxClMapper extends BaseMapper<TbYjxxCl> {

    @ApiOperation("根据ID删除")
    int deleteByIds(@Param("list") List<String> list);

    @ApiOperation("添加预警车辆信息")
    void insertEntity(TbYjxxCl clxx);
}
