package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxDypzSjbq;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预警信息-订阅-事件标签表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-21
 */
@Mapper
public interface TbYjxxDypzSjbqMapper extends BaseMapper<TbYjxxDypzSjbq> {

    @ApiOperation("根据ID删除")
    int deleteByIds(@Param("list") List<String> list);

    @ApiOperation("根据订阅ID查询")
    List<TbYjxxDypzSjbq> queryByDyid(@Param("list") List<String> list);

    @ApiOperation("根据订阅ID删除")
    void deleteByDyid(@Param("dyid") String dyid);

}
