package com.mosty.yjzl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yjzl.TbYjxxSjGlrycl;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 预警-事件-关联人员车辆表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
@Mapper
public interface TbYjxxSjGlryclMapper extends BaseMapper<TbYjxxSjGlrycl> {

    /**
     * 删除事件-关联人员车辆表
     * @param list
     */
    int deleteByIds(@Param("list") List<String> list);

    /**
     * 根据预警ID删除
     * @param yjid
     */
    int deleteByYjId(@Param("yjid") String yjid);

    /**
     * 根据预警ID查询
     * @param list
     * @return
     */
    List<TbYjxxSjGlrycl> queryByYjid(@Param("list") List<String> list);

}
