package com.mosty.yjzl.task;

import com.mosty.yjzl.service.TbZxzbService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 定时拉取大数据犯罪预警预测指令
 */

@Slf4j
@Component
@AllArgsConstructor
public class LzFzycTask {


    private final TbZxzbService tbZxzbService;

    //四个小时跑一次数据
    @Scheduled(cron = "0 0 1,9,13,17,21 * * ?")
    public void run() {
        tbZxzbService.computeCenter(null, null);
    }
}
