package com.mosty.yszx;

import com.mosty.common.base.timeconsume.EnableTimeConsume;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 *	要素中心 微服务
 * @author zengbo
 * @date 2022/7/11 19:43 PM[
 * @since 1.0.0
 */
@EnableTimeConsume
//@ComponentScan("com.mosty")
@EnableFeignClients(basePackages = "com.mosty.base.feign.service")
@MapperScan("com.mosty.yszx.mapper")
@EnableDiscoveryClient
@SpringBootApplication
public class MostyYszxApplication {

	public static void main(String[] args) {

		SpringApplication.run(MostyYszxApplication.class, args);
	}

}
