package com.mosty.yszx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yszx.TbYsXsaj;
import com.mosty.base.model.vo.yszx.TbYsAjVo;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022/7/21
 **/
@Mapper
public interface TbYsXsajMapper extends BaseMapper<TbYsXsaj> {

    @ApiOperation("新增行事案件")
    void insertXsaj(TbYsXsaj xs);

    @ApiOperation("查询行事案件详情")
    TbYsXsaj selectXsAjById(String id);

    @ApiOperation("修改行事案件")
    void updateXsEntity(TbYsXsaj xs);
}
